Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt
Class SWT

    java.lang.Object
      org.eclipse.swt.SWT

Direct Known Subclasses:
  OLE

public class SWT
extends Object

This class provides access to a small number of SWT system-wide methods, and in addition defines the public constants provided by SWT.

By defining constants like UP and DOWN in a single class, SWT can share common names and concepts at the same time minimizing the number of classes, names and constants for the application programmer.

Note that some of the constants provided by this class represent optional, appearance related aspects of widgets which are available either only on some window systems, or for a differing set of widgets on each window system. These constants are marked as HINTs. The set of widgets which support a particular HINT may change from release to release, although we typically will not withdraw support for a HINT once it is made available.

Field Summary
`static int` | `ABORT` The `MessageBox` style constant for an ABORT button; the only valid combination is ABORT|RETRY|IGNORE (value is 1<<9).
`static int` | `Activate` The activate event type (value is 26).
`static int` | `ALPHA` Input Method Editor style constant for alpha input behavior (value is 1<<2).
`static int` | `ALT` keyboard and/or mouse event mask indicating that the ALT key was pushed on the keyboard when the event was generated (value is 1<<16).
`static int` | `APPLICATION_MODAL` Style constant for application modal behavior (value is 1<<16).
`static int` | `Arm` The arm event type (value is 30).
`static int` | `ARROW` Style constant for arrow button behavior (value is 1<<2).
`static int` | `ARROW_DOWN` Keyboard event constant representing the DOWN ARROW key (value is (1<<24)+2).
`static int` | `ARROW_LEFT` Keyboard event constant representing the LEFT ARROW key (value is (1<<24)+3).
`static int` | `ARROW_RIGHT` Keyboard event constant representing the RIGHT ARROW key (value is (1<<24)+4).
`static int` | `ARROW_UP` Keyboard event constant representing the UP ARROW key (value is (1<<24)+1).
`static int` | `BAR` Style constant for menu bar behavior (value is 1<<1).
`static int` | `BEGINNING` Style constant for vertical alignment or orientation behavior (value is 1).
`static int` | `BITMAP` Constant indicating that an image or operation is of type bitmap (value is 0).
`static int` | `BOLD` The font style constant indicating a bold weight font (value is 1<<0).
`static int` | `BORDER` Style constant for bordered behavior (value is 1<<11).
`static int` | `BOTTOM` Style constant for align bottom behavior (value is 1<<10, since align DOWN and align BOTTOM are considered the same).
`static int` | `BREAK` Keyboard event constant representing the break key (value is (1<<24)+86).
`static char` | `BS` ASCII character convenience constant for the backspace character (value is the `char` '\b').
`static int` | `BUTTON_MASK` Keyboard and/or mouse event mask indicating all possible mouse buttons.
`static int` | `BUTTON1` Keyboard and/or mouse event mask indicating that mouse button one was pushed when the event was generated.
`static int` | `BUTTON2` Keyboard and/or mouse event mask indicating that mouse button two was pushed when the event was generated.
`static int` | `BUTTON3` Keyboard and/or mouse event mask indicating that mouse button three was pushed when the event was generated.
`static int` | `CANCEL` The `MessageBox` style constant for a CANCEL button; valid combinations are OK|CANCEL, YES|NO|CANCEL, RETRY|CANCEL (value is 1<<8).
`static int` | `CAPS_LOCK` Keyboard event constant representing the caps lock key (value is (1<<24)+82).
`static int` | `CASCADE` Style constant for cascade behavior (value is 1<<6).
`static int` | `CENTER` Style constant for align center behavior (value is 1<<24).
`static int` | `CHECK` Style constant for check box behavior (value is 1<<5).
`static int` | `CLIP_CHILDREN` Style constant indicating that the window manager should clip a widget's children with respect to its viewable area.
`static int` | `CLIP_SIBLINGS` Style constant indicating that the window manager should clip a widget's siblings with respect to its viewable area.
`static int` | `Close` The close event type (value is 21).
`static int` | `CLOSE` Style constant for close box trim (value is 1<<6, since we do not distinguish between CLOSE style and MENU style).
`static int` | `Collapse` The collapse event type (value is 18).
`static int` | `COLOR_BLACK` Default color black (value is 2).
`static int` | `COLOR_BLUE` Default color blue (value is 9).
`static int` | `COLOR_CYAN` Default color cyan (value is 13).
`static int` | `COLOR_DARK_BLUE` Default color dark blue (value is 10).
`static int` | `COLOR_DARK_CYAN` Default color dark cyan (value is 14).
`static int` | `COLOR_DARK_GRAY` Default color dark gray (value is 16).
`static int` | `COLOR_DARK_GREEN` Default color dark green (value is 6).
`static int` | `COLOR_DARK_MAGENTA` Default color dark magenta (value is 12).
`static int` | `COLOR_DARK_RED` Default color dark red (value is 4).
`static int` | `COLOR_DARK_YELLOW` Default color dark yello (value is 8).
`static int` | `COLOR_GRAY` Default color gray (value is 15).
`static int` | `COLOR_GREEN` Default color green (value is 5).
`static int` | `COLOR_INFO_BACKGROUND` System color used to paint tooltip background areas (value is 29).
`static int` | `COLOR_INFO_FOREGROUND` System color used to paint tooltip text (value is 28).
`static int` | `COLOR_LIST_BACKGROUND` System color used to paint list background areas (value is 25).
`static int` | `COLOR_LIST_FOREGROUND` System color used to paint list foreground areas (value is 24).
`static int` | `COLOR_LIST_SELECTION` System color used to paint list selection background areas (value is 26).
`static int` | `COLOR_LIST_SELECTION_TEXT` System color used to paint list selected text (value is 27).
`static int` | `COLOR_MAGENTA` Default color magenta (value is 11).
`static int` | `COLOR_RED` Default color red (value is 3).
`static int` | `COLOR_TITLE_BACKGROUND` System color used to paint title background areas (value is 31).
`static int` | `COLOR_TITLE_BACKGROUND_GRADIENT` System color used to paint title background gradient (value is 32).
`static int` | `COLOR_TITLE_FOREGROUND` System color used to paint title text (value is 30).
`static int` | `COLOR_TITLE_INACTIVE_BACKGROUND` System color used to paint inactive title background areas (value is 34).
`static int` | `COLOR_TITLE_INACTIVE_BACKGROUND_GRADIENT` System color used to paint inactive title background gradient (value is 35).
`static int` | `COLOR_TITLE_INACTIVE_FOREGROUND` System color used to paint inactive title text (value is 33).
`static int` | `COLOR_WHITE` Default color white (value is 1).
`static int` | `COLOR_WIDGET_BACKGROUND` System color used to paint background areas (value is 22).
`static int` | `COLOR_WIDGET_BORDER` System color used to paint border areas (value is 23).
`static int` | `COLOR_WIDGET_DARK_SHADOW` System color used to paint dark shadow areas (value is 17).
`static int` | `COLOR_WIDGET_FOREGROUND` System color used to paint foreground areas (value is 21).
`static int` | `COLOR_WIDGET_HIGHLIGHT_SHADOW` System color used to paint highlight shadow areas (value is 20).
`static int` | `COLOR_WIDGET_LIGHT_SHADOW` System color used to paint light shadow areas (value is 19).
`static int` | `COLOR_WIDGET_NORMAL_SHADOW` System color used to paint normal shadow areas (value is 18).
`static int` | `COLOR_YELLOW` Default color yellow (value is 7).
`static int` | `COMMAND` Keyboard and/or mouse event mask indicating that the COMMAND key was pushed on the keyboard when the event was generated (value is 1<<22).
`static int` | `CONTROL` Keyboard and/or mouse event mask indicating that the CTRL key was pushed on the keyboard when the event was generated.
`static char` | `CR` ASCII character convenience constant for the carriage return character (value is the `char` '\r').
`static int` | `CTRL` Keyboard and/or mouse event mask indicating that the CTRL key was pushed on the keyboard when the event was generated (value is 1<<18).
`static int` | `CURSOR_APPSTARTING` System app startup cursor (value is 3).
`static int` | `CURSOR_ARROW` System arrow cursor (value is 0).
`static int` | `CURSOR_CROSS` System cross hair cursor (value is 2).
`static int` | `CURSOR_HAND` System hand cursor (value is 21).
`static int` | `CURSOR_HELP` System help cursor (value is 4).
`static int` | `CURSOR_IBEAM` System i-beam cursor (value is 19).
`static int` | `CURSOR_NO` System "not allowed" cursor (value is 20).
`static int` | `CURSOR_SIZEALL` System resize all directions cursor (value is 5).
`static int` | `CURSOR_SIZEE` System resize east cursor (value is 12).
`static int` | `CURSOR_SIZEN` System resize north cursor (value is 10).
`static int` | `CURSOR_SIZENE` System resize north-east cursor (value is 14).
`static int` | `CURSOR_SIZENESW` System resize north-east-south-west cursor (value is 6).
`static int` | `CURSOR_SIZENS` System resize north-south cursor (value is 7).
`static int` | `CURSOR_SIZENW` System resize north-west cursor (value is 17).
`static int` | `CURSOR_SIZENWSE` System resize north-west-south-east cursor (value is 8).
`static int` | `CURSOR_SIZES` System resize south cursor (value is 11).
`static int` | `CURSOR_SIZESE` System resize south-east cursor (value is 15).
`static int` | `CURSOR_SIZESW` System resize south-west cursor (value is 16).
`static int` | `CURSOR_SIZEW` System resize west cursor (value is 13).
`static int` | `CURSOR_SIZEWE` System resize west-east cursor (value is 9).
`static int` | `CURSOR_UPARROW` System up arrow cursor (value is 18).
`static int` | `CURSOR_WAIT` System wait cursor (value is 1).
`static int` | `DBCS` Input Method Editor style constant for double byte input behavior (value is 1<<1).
`static int` | `Deactivate` The deactivate event type (value is 27).
`static int` | `DEFAULT` Indicates that a default should be used (value is -1).
`static int` | `DefaultSelection` The default selection event type (value is 14).
`static int` | `Deiconify` The de-iconify event type (value is 20).
`static char` | `DEL` ASCII character convenience constant for the delete character (value is the `char` with value 127).
`static int` | `DIALOG_TRIM` Trim style convenience constant for the most common dialog shell appearance (value is CLOSE|TITLE|BORDER).
`static int` | `Dispose` The dispose event type (value is 12).
`static int` | `DM_FILL_BACKGROUND` GIF image disposal method constants indicating that the the previous images should be covered with the background color before displaying the next image (value is 2).
`static int` | `DM_FILL_NONE` GIF image disposal method constants indicating that the disposal method is to do nothing; that is, to leave the previous image in place (value is 1).
`static int` | `DM_FILL_PREVIOUS` GIF image disposal method constants indicating that the disposal method is to restore the previous picture (value is 3).
`static int` | `DM_UNSPECIFIED` GIF image disposal method constants indicating that the disposal method is unspecified (value is 0).
`static int` | `DOWN` Style constant for align down behavior (value is 1<<10, since align DOWN and align BOTTOM are considered the same).
`static int` | `DRAG` Indicates that a user-interface component is being dragged, for example dragging the thumb of a scroll bar (value is 1).
`static int` | `DragDetect` The drag detect event type (value is 29).
`static int` | `DRAW_DELIMITER` Draw constant indicating whether the string drawing operation should handle line-delimeters (value is 1<<1).
`static int` | `DRAW_MNEMONIC` Draw constant indicating whether the string drawing operation should handle mnemonics (value is 1<<3).
`static int` | `DRAW_TAB` Draw constant indicating whether the string drawing operation should expand TAB characters (value is 1<<2).
`static int` | `DRAW_TRANSPARENT` Draw constant indicating whether the drawing operation should fill the background (value is 1<<0).
`static int` | `DROP_DOWN` Style constant for drop down menu/list behavior (value is 1<<2).
`static int` | `EMBEDDED` Style constant to allow embedding (value is 1<<24).
`static int` | `END` Keyboard event constant representing the END key (value is (1<<24)+8).
`static int` | `ERROR_CANNOT_BE_ZERO` SWT error constant indicating that a value which can not be zero was found to be (value is 7).
`static int` | `ERROR_CANNOT_GET_COUNT` SWT error constant indicating that the underlying operating system was unable to provide count information (value is 36).
`static int` | `ERROR_CANNOT_GET_ENABLED` SWT error constant indicating that the underlying operating system was unable to provide enabled/disabled state information (value is 31).
`static int` | `ERROR_CANNOT_GET_ITEM` SWT error constant indicating that the underlying operating system was unable to provide the value of an item (value is 8).
`static int` | `ERROR_CANNOT_GET_ITEM_HEIGHT` SWT error constant indicating that the underlying operating system was unable to provide the height of an item (value is 11).
`static int` | `ERROR_CANNOT_GET_SELECTION` SWT error constant indicating that the underlying operating system was unable to provide the selection (value is 9).
`static int` | `ERROR_CANNOT_GET_TEXT` SWT error constant indicating that the underlying operating system was unable to provide the text of a widget (value is 12).
`static int` | `ERROR_CANNOT_SET_ENABLED` SWT error constant indicating that the underlying operating system was unable to set the enabled state (value is 30).
`static int` | `ERROR_CANNOT_SET_MENU` SWT error constant indicating that the underlying operating system was unable to set the menu (value is 29).
`static int` | `ERROR_CANNOT_SET_SELECTION` SWT error constant indicating that the underlying operating system was unable to set the selection of a widget (value is 28).
`static int` | `ERROR_CANNOT_SET_TEXT` SWT error constant indicating that the underlying operating system was unable to set the text of a widget (value is 13).
`static int` | `ERROR_DEVICE_DISPOSED` SWT error constant indicating that an attempt was made to invoke an SWT operation using a device which had already been disposed (value is 45).
`static int` | `ERROR_FAILED_EXEC` SWT error constant indicating that an exception happened when executing a runnable (value is 46).
`static int` | `ERROR_FAILED_LOAD_LIBRARY` SWT error constant indicating that an unsatisfied link error occured while attempting to load a library (value is 47).
`static int` | `ERROR_GRAPHIC_DISPOSED` SWT error constant indicating that an attempt was made to invoke an SWT operation using a graphics object which had already been disposed (value is 44).
`static int` | `ERROR_INVALID_ARGUMENT` SWT error constant indicating that an invalid argument was passed in (value is 5).
`static int` | `ERROR_INVALID_IMAGE` SWT error constant indicating that a graphics operation was attempted with an image having an invalid format (value is 40).
`static int` | `ERROR_INVALID_PARENT` SWT error constant indicating that a provided widget can not be used as a parent in the current operation (value is 32).
`static int` | `ERROR_INVALID_RANGE` SWT error constant indicating that a value was found to be outside the allowable range (value is 6).
`static int` | `ERROR_INVALID_SUBCLASS` SWT error constant indicating that an attempt was made to subclass an SWT widget class without implementing the `checkSubclass()` method (value is 43).
`static int` | `ERROR_IO` SWT error constant indicating that an input/output operation failed during the execution of an SWT operation (value is 39).
`static int` | `ERROR_ITEM_NOT_ADDED` SWT error constant indicating that the underlying operating system was unable to add an item (value is 14).
`static int` | `ERROR_ITEM_NOT_REMOVED` SWT error constant indicating that the underlying operating system was unable to remove an item (value is 15).
`static int` | `ERROR_MENU_NOT_BAR` SWT error constant indicating that a menu which needed to have the menu bar style had some other style instead (value is 33).
`static int` | `ERROR_MENU_NOT_DROP_DOWN` SWT error constant indicating that a menu which needed to have the drop down style had some other style instead (value is 21).
`static int` | `ERROR_MENU_NOT_POP_UP` SWT error constant indicating that a menu which needed to have the pop up menu style had some other style instead (value is 37).
`static int` | `ERROR_MENUITEM_NOT_CASCADE` SWT error constant indicating that a menu item which needed to have the cascade style had some other style instead (value is 27).
`static int` | `ERROR_NO_HANDLES` SWT error constant indicating that no more handles for an operating system resource are available (value is 2).
`static int` | `ERROR_NO_MORE_CALLBACKS` SWT error constant indicating that no more callback resources are available (value is 3).
`static int` | `ERROR_NOT_IMPLEMENTED` SWT error constant indicating that a particular feature has not been implemented on this platform (value is 20).
`static int` | `ERROR_NULL_ARGUMENT` SWT error constant indicating that a null argument was passed in (value is 4).
`static int` | `ERROR_THREAD_INVALID_ACCESS` SWT error constant indicating that an attempt was made to invoke an SWT operation which can only be executed by the user-interface thread from some other thread (value is 22).
`static int` | `ERROR_UNSPECIFIED` SWT error constant indicating that no error number was specified (value is 1).
`static int` | `ERROR_UNSUPPORTED_DEPTH` SWT error constant indicating that a graphics operation was attempted with an image of an unsupported depth (value is 38).
`static int` | `ERROR_UNSUPPORTED_FORMAT` SWT error constant indicating that a graphics operation was attempted with an image having a valid but unsupported format (value is 42).
`static int` | `ERROR_WIDGET_DISPOSED` SWT error constant indicating that an attempt was made to invoke an SWT operation using a widget which had already been disposed (value is 24).
`static char` | `ESC` ASCII character convenience constant for the escape character (value is the `char` with value 27).
`static int` | `Expand` The expand event type (value is 17).
`static int` | `F1` Keyboard event constant representing the F1 key (value is (1<<24)+10).
`static int` | `F10` Keyboard event constant representing the F10 key (value is (1<<24)+19).
`static int` | `F11` Keyboard event constant representing the F11 key (value is (1<<24)+20).
`static int` | `F12` Keyboard event constant representing the F12 key (value is (1<<24)+21).
`static int` | `F13` Keyboard event constant representing the F13 key (value is (1<<24)+22).
`static int` | `F14` Keyboard event constant representing the F14 key (value is (1<<24)+23).
`static int` | `F15` Keyboard event constant representing the F15 key (value is (1<<24)+24).
`static int` | `F2` Keyboard event constant representing the F2 key (value is (1<<24)+11).
`static int` | `F3` Keyboard event constant representing the F3 key (value is (1<<24)+12).
`static int` | `F4` Keyboard event constant representing the F4 key (value is (1<<24)+13).
`static int` | `F5` Keyboard event constant representing the F5 key (value is (1<<24)+14).
`static int` | `F6` Keyboard event constant representing the F6 key (value is (1<<24)+15).
`static int` | `F7` Keyboard event constant representing the F7 key (value is (1<<24)+16).
`static int` | `F8` Keyboard event constant representing the F8 key (value is (1<<24)+17).
`static int` | `F9` Keyboard event constant representing the F9 key (value is (1<<24)+18).
`static int` | `FILL` Style constant for vertical alignment or orientation behavior (value is 4).
`static int` | `FLAT` Style constant for flat appearance.
`static int` | `FocusIn` The focus in event type (value is 15).
`static int` | `FocusOut` The focus out event type (value is 16).
`static int` | `FULL_SELECTION` Style constant for full row selection behavior.
`static int` | `H_SCROLL` Style constant for horizontal scrollbar behavior (value is 1<<8).
`static int` | `HardKeyDown` The hardware key down event type (value is 33).
`static int` | `HardKeyUp` The hardware key up event type (value is 34).
`static int` | `Help` The help event type (value is 28).
`static int` | `HELP` Keyboard event constant representing the help key (value is (1<<24)+81).
`static int` | `Hide` The hide event type (value is 23).
`static int` | `HIDE_SELECTION` Style constant for selection hiding behavior when the widget loses focus (value is 1<<15).
`static int` | `HOME` Keyboard event constant representing the HOME key (value is (1<<24)+7).
`static int` | `HORIZONTAL` Style constant for horizontal alignment or orientation behavior (value is 1<<8).
`static int` | `ICON` Constant indicating that an image or operation is of type icon (value is 1).
`static int` | `ICON_ERROR` The `MessageBox` style constant for error icon behavior (value is 1).
`static int` | `ICON_INFORMATION` The `MessageBox` style constant for information icon behavior (value is 1<<1).
`static int` | `ICON_QUESTION` The `MessageBox` style constant for question icon behavior (value is 1<<2).
`static int` | `ICON_WARNING` The `MessageBox` style constant for warning icon behavior (value is 1<<3).
`static int` | `ICON_WORKING` The `MessageBox` style constant for "working" icon behavior (value is 1<<4).
`static int` | `Iconify` The iconify event type (value is 19).
`static int` | `IGNORE` The `MessageBox` style constant for an IGNORE button; the only valid combination is ABORT|RETRY|IGNORE (value is 1<<11).
`static int` | `IMAGE_BMP` Image format constant indicating a Windows BMP format image (value is 0).
`static int` | `IMAGE_BMP_RLE` Image format constant indicating a run-length encoded Windows BMP format image (value is 1).
`static int` | `IMAGE_COPY` The `Image` constructor argument indicating that the new image should be a copy of the image provided as an argument (value is 0).
`static int` | `IMAGE_DISABLE` The `Image` constructor argument indicating that the new image should have the appearance of a "disabled" (using the platform's rules for how this should look) copy of the image provided as an argument (value is 1).
`static int` | `IMAGE_GIF` Image format constant indicating a GIF format image (value is 2).
`static int` | `IMAGE_GRAY` The `Image` constructor argument indicating that the new image should have the appearance of a "gray scaled" copy of the image provided as an argument (value is 2).
`static int` | `IMAGE_ICO` Image format constant indicating a ICO format image (value is 3).
`static int` | `IMAGE_JPEG` Image format constant indicating a JPEG format image (value is 4).
`static int` | `IMAGE_PNG` Image format constant indicating a PNG format image (value is 5).
`static int` | `IMAGE_TIFF` Image format constant indicating a TIFF format image (value is 6).
`static int` | `IMAGE_UNDEFINED` Image format constant indicating an unknown image type (value is -1).
`static int` | `INDETERMINATE` Style constant for progress bar behavior (value is 1<<1).
`static int` | `INSERT` Keyboard event constant representing the INSERT key (value is (1<<24)+9).
`static int` | `ITALIC` The font style constant indicating an italic font (value is 1<<1).
`static int` | `KEY_MASK` Accelerator constant used to extract the key stroke portion of an accelerator.
`static int` | `KEYCODE_BIT` Accelerator constant used to differentiate a key code from a unicode character.
`static int` | `KeyDown` The key down event type (value is 1).
`static int` | `KEYPAD_0` Keyboard event constant representing the numeric key pad zero key (value is (1<<24)+48).
`static int` | `KEYPAD_1` Keyboard event constant representing the numeric key pad one key (value is (1<<24)+49).
`static int` | `KEYPAD_2` Keyboard event constant representing the numeric key pad two key (value is (1<<24)+50).
`static int` | `KEYPAD_3` Keyboard event constant representing the numeric key pad three key (value is (1<<24)+51).
`static int` | `KEYPAD_4` Keyboard event constant representing the numeric key pad four key (value is (1<<24)+52).
`static int` | `KEYPAD_5` Keyboard event constant representing the numeric key pad five key (value is (1<<24)+53).
`static int` | `KEYPAD_6` Keyboard event constant representing the numeric key pad six key (value is (1<<24)+54).
`static int` | `KEYPAD_7` Keyboard event constant representing the numeric key pad seven key (value is (1<<24)+55).
`static int` | `KEYPAD_8` Keyboard event constant representing the numeric key pad eight key (value is (1<<24)+56).
`static int` | `KEYPAD_9` Keyboard event constant representing the numeric key pad nine key (value is (1<<24)+57).
`static int` | `KEYPAD_ADD` Keyboard event constant representing the numeric key pad add key (value is (1<<24)+43).
`static int` | `KEYPAD_CR` Keyboard event constant representing the numeric key pad enter key (value is (1<<24)+80).
`static int` | `KEYPAD_DECIMAL` Keyboard event constant representing the numeric key pad decimal key (value is (1<<24)+46).
`static int` | `KEYPAD_DIVIDE` Keyboard event constant representing the numeric key pad divide key (value is (1<<24)+47).
`static int` | `KEYPAD_EQUAL` Keyboard event constant representing the numeric key pad equal key (value is (1<<24)+61).
`static int` | `KEYPAD_MULTIPLY` Keyboard event constant representing the numeric key pad multiply key (value is (1<<24)+42).
`static int` | `KEYPAD_SUBTRACT` Keyboard event constant representing the numeric key pad subtract key (value is (1<<24)+45).
`static int` | `KeyUp` The key up event type (value is 2).
`static int` | `LEAD` Style constant for leading alignment (value is 1<<14).
`static int` | `LEFT` Style constant for align left behavior (value is 1<<14).
`static int` | `LEFT_TO_RIGHT` Style constant for left to right orientation (value is 1<<25).
`static char` | `LF` ASCII character convenience constant for the line feed character (value is the `char` '\n').
`static int` | `LINE_DASH` Line drawing style for dashed lines (value is 2).
`static int` | `LINE_DASHDOT` Line drawing style for alternating dash-dot lines (value is 4).
`static int` | `LINE_DASHDOTDOT` Line drawing style for dash-dot-dot lines (value is 5).
`static int` | `LINE_DOT` Line drawing style for dotted lines (value is 3).
`static int` | `LINE_SOLID` Line drawing style for solid lines (value is 1).
`static int` | `MAX` Style constant for maximize box trim (value is 1<<10).
`static int` | `MENU` Style constant for shell menu trim (value is 1<<6, since we do not distinguish between CLOSE style and MENU style).
`static int` | `MenuDetect` The menu detect event type (value is 35).
`static int` | `MIN` Style constant for minimize box trim (value is 1<<7).
`static int` | `MIRRORED` Style constant to indicate coordinate mirroring (value is 1<<27).
`static int` | `MOD1` Keyboard and/or mouse event mask indicating that the MOD1 key was pushed on the keyboard when the event was generated.
`static int` | `MOD2` Keyboard and/or mouse event mask indicating that the MOD2 key was pushed on the keyboard when the event was generated.
`static int` | `MOD3` Keyboard and/or mouse event mask indicating that the MOD3 key was pushed on the keyboard when the event was generated.
`static int` | `MOD4` Keyboard and/or mouse event mask indicating that the MOD4 key was pushed on the keyboard when the event was generated.
`static int` | `MODELESS` Style constant for modeless behavior (value is 0).
`static int` | `MODIFIER_MASK` Keyboard and/or mouse event mask indicating all possible keyboard modifiers.
`static int` | `Modify` The modify event type (value is 24).
`static int` | `MouseDoubleClick` The mouse double click event type (value is 8).
`static int` | `MouseDown` mouse down event type (value is 3)
`static int` | `MouseEnter` The mouse enter event type (value is 6).
`static int` | `MouseExit` The mouse exit event type (value is 7).
`static int` | `MouseHover` The mouse hover event type (value is 32).
`static int` | `MouseMove` The mouse move event type (value is 5).
`static int` | `MouseUp` The mouse up event type (value is 4).
`static int` | `Move` The move event type (value is 10).
`static int` | `MOVEMENT_CHAR` The character movement type (value is 1<<0).
`static int` | `MOVEMENT_CLUSTER` The cluster movement type (value is 1<<1).
`static int` | `MOVEMENT_WORD` The word movement type (value is 1<<2).
`static int` | `MULTI` Style constant for multi-selection behavior in lists and multiple line support on text fields (value is 1<<1).
`static int` | `NATIVE` Input Method Editor style constant for native input behavior (value is 1<<3).
`static int` | `NO` The `MessageBox` style constant for NO button; valid combinations are YES|NO, YES|NO|CANCEL (value is 1<<7).
`static int` | `NO_BACKGROUND` Style constant for no background behavior (value is 1<<18).
`static int` | `NO_FOCUS` Style constant for does not take focus behavior (value is 1<<19).
`static int` | `NO_MERGE_PAINTS` Style constant for no paint event merging behavior (value is 1<<21).
`static int` | `NO_RADIO_GROUP` Style constant for preventing child radio group behavior (value is 1<<22).
`static int` | `NO_REDRAW_RESIZE` Style constant for no redraw on resize behavior (value is 1<<20).
`static int` | `NO_TRIM` Style constant to ensure no trimmings are used (value is 1<<3).
`static int` | `None` The null event type (value is 0).
`static int` | `NONE` A constant known to be zero (0), used in operations which take bit flags to indicate that "no bits are set".
`static int` | `NORMAL` The font style constant indicating a normal weight, non-italic font (value is 0).
`static int` | `NULL` A constant known to be zero (0), used in operations which take pointers to indicate a null argument.
`static int` | `NUM_LOCK` Keyboard event constant representing the num lock key (value is (1<<24)+83).
`static int` | `OK` The `MessageBox` style constant for an OK button; valid combinations are OK, OK|CANCEL (value is 1<<5).
`static int` | `ON_TOP` Style constant for always on top behavior (value is 1<<14).
`static int` | `OPEN` The `FileDialog` style constant for open file dialog behavior (value is 1<<12).
`static int` | `PAGE_DOWN` Keyboard event constant representing the PAGE DOWN key (value is (1<<24)+6).
`static int` | `PAGE_UP` Keyboard event constant representing the PAGE UP key (value is (1<<24)+5).
`static int` | `Paint` The paint event type (value is 9).
`static int` | `PASSWORD` Style constant for password behavior (value is 1<<22).
`static int` | `PAUSE` Keyboard event constant representing the pause key (value is (1<<24)+85).
`static int` | `PHONETIC` Input Method Editor style constant for phonetic input behavior (value is 1<<4).
`static int` | `POP_UP` Style constant for pop up menu behavior (value is 1<<3).
`static int` | `PRIMARY_MODAL` Style constant for primary modal behavior (value is 1<<15).
`static int` | `PRINT_SCREEN` Keyboard event constant representing the break key (value is (1<<24)+87).
`static int` | `PUSH` Style constant for push button behavior (value is 1<<3).
`static int` | `RADIO` Style constant for radio button behavior (value is 1<<4).
`static int` | `READ_ONLY` Style constant for read-only behavior (value is 1<<3).
`static int` | `Resize` The resize event type (value is 11).
`static int` | `RESIZE` Style constant for resize box trim (value is 1<<4).
`static int` | `RETRY` The `MessageBox` style constant for a RETRY button; valid combinations are ABORT|RETRY|IGNORE, RETRY|CANCEL (value is 1<<10).
`static int` | `RIGHT` Style constant for align right behavior (value is 1<<17).
`static int` | `RIGHT_TO_LEFT` Style constant for right to left orientation (value is 1<<26).
`static int` | `ROMAN` Input Method Editor style constant for romanicized input behavior (value is 1<<5).
`static int` | `SAVE` The `FileDialog` style constant for save file dialog behavior (value is 1<<13).
`static int` | `SCROLL_LOCK` Keyboard event constant representing the scroll lock key (value is (1<<24)+84).
`static int` | `Selection` The selection event type (value is 13).
`static int` | `SEPARATOR` Style constant for line separator behavior (value is 1<<1).
`static int` | `SetData` The set data event type (value is 36).
`static int` | `SHADOW_ETCHED_IN` Style constant for shadow etched in behavior (value is 1<<4).
`static int` | `SHADOW_ETCHED_OUT` Style constant for shadow etched out behavior (value is 1<<6).
`static int` | `SHADOW_IN` Style constant for shadow in behavior (value is 1<<2).
`static int` | `SHADOW_NONE` Style constant for no shadow behavior (value is 1<<5).
`static int` | `SHADOW_OUT` Style constant for shadow out behavior (value is 1<<3).
`static int` | `SHELL_TRIM` Trim style convenience constant for the most common top level shell appearance (value is CLOSE|TITLE|MIN|MAX|RESIZE).
`static int` | `SHIFT` Keyboard and/or mouse event mask indicating that the SHIFT key was pushed on the keyboard when the event was generated (value is 1<<17).
`static int` | `Show` The show event type (value is 22).
`static int` | `SIMPLE` Style constant for simple (not drop down) behavior (value is 1<<6).
`static int` | `SINGLE` Style constant for single selection behavior in lists and single line support on text fields (value is 1<<2).
`static int` | `SMOOTH` Style constant for flat appearance.
`static int` | `SYSTEM_MODAL` Style constant for system modal behavior (value is 1<<17).
`static char` | `TAB` ASCII character convenience constant for the tab character (value is the `char` '\t').
`static int` | `TITLE` Style constant for title area trim (value is 1<<5).
`static int` | `TOGGLE` Style constant for toggle button behavior (value is 1<<1).
`static int` | `TOOL` Style constant for tool window behavior (value is 1<<2).
`static int` | `TOP` Style constant for align top behavior (value is 1<<7, since align UP and align TOP are considered the same).
`static int` | `TRAIL` Style constant for trailiing alignment (value is 1<<17).
`static int` | `TRANSPARENCY_ALPHA` Image transparency constant indicating that the image contains alpha transparency information (value is 1<<0).
`static int` | `TRANSPARENCY_MASK` Image transparency constant indicating that the image contains a transparency mask (value is 1<<1).
`static int` | `TRANSPARENCY_NONE` Image transparency constant indicating that the image contains no transparency information (value is 0).
`static int` | `TRANSPARENCY_PIXEL` Image transparency constant indicating that the image contains a transparent pixel (value is 1<<2).
`static int` | `Traverse` The traverse event type (value is 31).
`static int` | `TRAVERSE_ARROW_NEXT` Traversal event detail field value indicating that the key which designates that focus should be given to the previous tab item was pressed; typically, this is either the RIGHT-ARROW or DOWN-ARROW keys (value is 1<<6).
`static int` | `TRAVERSE_ARROW_PREVIOUS` Traversal event detail field value indicating that the key which designates that focus should be given to the previous tab item was pressed; typically, this is either the LEFT-ARROW or UP-ARROW keys (value is 1<<5).
`static int` | `TRAVERSE_ESCAPE` Traversal event detail field value indicating that the key which designates that a dialog should be cancelled was pressed; typically, this is the ESC key (value is 1<<1).
`static int` | `TRAVERSE_MNEMONIC` Traversal event detail field value indicating that a mnemonic key sequence was pressed (value is 1<<7).
`static int` | `TRAVERSE_NONE` Traversal event detail field value indicating that no traversal action should be taken (value is 0).
`static int` | `TRAVERSE_PAGE_NEXT` Traversal event detail field value indicating that the key which designates that the next page of a multi-page window should be shown was pressed; typically, this is the CTRL-PAGEDOWN key sequence (value is 1<<9).
`static int` | `TRAVERSE_PAGE_PREVIOUS` Traversal event detail field value indicating that the key which designates that the previous page of a multi-page window should be shown was pressed; typically, this is the CTRL-PAGEUP key sequence (value is 1<<8).
`static int` | `TRAVERSE_RETURN` Traversal event detail field value indicating that the key which activates the default button in a dialog was pressed; typically, this is the ENTER key (value is 1<<2).
`static int` | `TRAVERSE_TAB_NEXT` Traversal event detail field value indicating that the key which designates that focus should be given to the next tab group was pressed; typically, this is the TAB key (value is 1<<4).
`static int` | `TRAVERSE_TAB_PREVIOUS` Traversal event detail field value indicating that the key which designates that focus should be given to the previous tab group was pressed; typically, this is the SHIFT-TAB key sequence (value is 1<<3).
`static int` | `UP` Style constant for align up behavior (value is 1<<7, since align UP and align TOP are considered the same).
`static int` | `V_SCROLL` Style constant for vertical scrollbar behavior (value is 1<<9).
`static int` | `Verify` The verify event type (value is 25).
`static int` | `VERTICAL` Style constant for vertical alignment or orientation behavior (value is 1<<9).
`static int` | `VIRTUAL` Style constant to allow virtual data (value is 1<<28).
`static int` | `WRAP` Style constant for automatic line wrap behavior (value is 1<<6).
`static int` | `YES` The `MessageBox` style constant for YES button; valid combinations are YES|NO, YES|NO|CANCEL (value is 1<<6).

Constructor Summary
`SWT()`

Method Summary
`static void` | `error(int code)` Throws an appropriate exception based on the passed in error code.
`static void` | `error(int code, Throwable throwable)` Throws an appropriate exception based on the passed in error code.
`static void` | `error(int code, Throwable throwable, String detail)` Throws an appropriate exception based on the passed in error code.
`static String` | `getMessage(String key)` Returns the NLS'ed message for the given argument.
`static String` | `getPlatform()` Returns the SWT platform name.
`static int` | `getVersion()` Returns the SWT version number as an integer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### None

    public static final int None

  The null event type (value is 0).

  Since:
    3.0
  See Also:
    Constant Field Values

### KeyDown

    public static final int KeyDown

  The key down event type (value is 1).

  See Also:
    Constant Field Values

### KeyUp

    public static final int KeyUp

  The key up event type (value is 2).

  See Also:
    Constant Field Values

### MouseDown

    public static final int MouseDown

  mouse down event type (value is 3)

  See Also:
    Constant Field Values

### MouseUp

    public static final int MouseUp

  The mouse up event type (value is 4).

  See Also:
    Constant Field Values

### MouseMove

    public static final int MouseMove

  The mouse move event type (value is 5).

  See Also:
    Constant Field Values

### MouseEnter

    public static final int MouseEnter

  The mouse enter event type (value is 6).

  See Also:
    Constant Field Values

### MouseExit

    public static final int MouseExit

  The mouse exit event type (value is 7).

  See Also:
    Constant Field Values

### MouseDoubleClick

    public static final int MouseDoubleClick

  The mouse double click event type (value is 8).

  See Also:
    Constant Field Values

### Paint

    public static final int Paint

  The paint event type (value is 9).

  See Also:
    Constant Field Values

### Move

    public static final int Move

  The move event type (value is 10).

  See Also:
    Constant Field Values

### Resize

    public static final int Resize

  The resize event type (value is 11).

  See Also:
    Constant Field Values

### Dispose

    public static final int Dispose

  The dispose event type (value is 12).

  See Also:
    Constant Field Values

### Selection

    public static final int Selection

  The selection event type (value is 13).

  See Also:
    Constant Field Values

### DefaultSelection

    public static final int DefaultSelection

  The default selection event type (value is 14).

  See Also:
    Constant Field Values

### FocusIn

    public static final int FocusIn

  The focus in event type (value is 15).

  See Also:
    Constant Field Values

### FocusOut

    public static final int FocusOut

  The focus out event type (value is 16).

  See Also:
    Constant Field Values

### Expand

    public static final int Expand

  The expand event type (value is 17).

  See Also:
    Constant Field Values

### Collapse

    public static final int Collapse

  The collapse event type (value is 18).

  See Also:
    Constant Field Values

### Iconify

    public static final int Iconify

  The iconify event type (value is 19).

  See Also:
    Constant Field Values

### Deiconify

    public static final int Deiconify

  The de-iconify event type (value is 20).

  See Also:
    Constant Field Values

### Close

    public static final int Close

  The close event type (value is 21).

  See Also:
    Constant Field Values

### Show

    public static final int Show

  The show event type (value is 22).

  See Also:
    Constant Field Values

### Hide

    public static final int Hide

  The hide event type (value is 23).

  See Also:
    Constant Field Values

### Modify

    public static final int Modify

  The modify event type (value is 24).

  See Also:
    Constant Field Values

### Verify

    public static final int Verify

  The verify event type (value is 25).

  See Also:
    Constant Field Values

### Activate

    public static final int Activate

  The activate event type (value is 26).

  See Also:
    Constant Field Values

### Deactivate

    public static final int Deactivate

  The deactivate event type (value is 27).

  See Also:
    Constant Field Values

### Help

    public static final int Help

  The help event type (value is 28).

  See Also:
    Constant Field Values

### DragDetect

    public static final int DragDetect

  The drag detect event type (value is 29).

  See Also:
    Constant Field Values

### Arm

    public static final int Arm

  The arm event type (value is 30).

  See Also:
    Constant Field Values

### Traverse

    public static final int Traverse

  The traverse event type (value is 31).

  See Also:
    Constant Field Values

### MouseHover

    public static final int MouseHover

  The mouse hover event type (value is 32).

  See Also:
    Constant Field Values

### HardKeyDown

    public static final int HardKeyDown

  The hardware key down event type (value is 33).

  See Also:
    Constant Field Values

### HardKeyUp

    public static final int HardKeyUp

  The hardware key up event type (value is 34).

  See Also:
    Constant Field Values

### MenuDetect

    public static final int MenuDetect

  The menu detect event type (value is 35).

  Since:
    3.0
  See Also:
    Constant Field Values

### SetData

    public static final int SetData

  The set data event type (value is 36).

  Since:
    3.0
  See Also:
    Constant Field Values

### NONE

    public static final int NONE

  A constant known to be zero (0), used in operations which take bit flags to indicate that "no bits are set".

  See Also:
    Constant Field Values

### DRAG

    public static final int DRAG

  Indicates that a user-interface component is being dragged, for example dragging the thumb of a scroll bar (value is 1).

  See Also:
    Constant Field Values

### NULL

    public static final int NULL

  A constant known to be zero (0), used in operations which take pointers to indicate a null argument.

  See Also:
    Constant Field Values

### DEFAULT

    public static final int DEFAULT

  Indicates that a default should be used (value is -1).

  See Also:
    Constant Field Values

### BAR

    public static final int BAR

  Style constant for menu bar behavior (value is 1<<1).

  Used By:

  - `Menu`

  See Also:
    Constant Field Values

### DROP_DOWN

    public static final int DROP_DOWN

  Style constant for drop down menu/list behavior (value is 1<<2).

  Used By:

  - `Menu`
  - `ToolItem`
  - `CoolItem`
  - `Combo`

  See Also:
    Constant Field Values

### POP_UP

    public static final int POP_UP

  Style constant for pop up menu behavior (value is 1<<3).

  Used By:

  - `Menu`

  See Also:
    Constant Field Values

### SEPARATOR

    public static final int SEPARATOR

  Style constant for line separator behavior (value is 1<<1).

  Used By:

  - `Label`
  - `MenuItem`
  - `ToolItem`

  See Also:
    Constant Field Values

### TOGGLE

    public static final int TOGGLE

  Style constant for toggle button behavior (value is 1<<1).

  Used By:

  - `Button`

  See Also:
    Constant Field Values

### ARROW

    public static final int ARROW

  Style constant for arrow button behavior (value is 1<<2).

  Used By:

  - `Button`

  See Also:
    Constant Field Values

### PUSH

    public static final int PUSH

  Style constant for push button behavior (value is 1<<3).

  Used By:

  - `Button`
  - `MenuItem`
  - `ToolItem`

  See Also:
    Constant Field Values

### RADIO

    public static final int RADIO

  Style constant for radio button behavior (value is 1<<4).

  Used By:

  - `Button`
  - `MenuItem`
  - `ToolItem`

  See Also:
    Constant Field Values

### CHECK

    public static final int CHECK

  Style constant for check box behavior (value is 1<<5).

  Used By:

  - `Button`
  - `MenuItem`
  - `ToolItem`
  - `Table`
  - `Tree`

  See Also:
    Constant Field Values

### CASCADE

    public static final int CASCADE

  Style constant for cascade behavior (value is 1<<6).

  Used By:

  - `MenuItem`

  See Also:
    Constant Field Values

### MULTI

    public static final int MULTI

  Style constant for multi-selection behavior in lists and multiple line support on text fields (value is 1<<1).

  Used By:

  - `Text`
  - `List`
  - `FileDialog`

  See Also:
    Constant Field Values

### SINGLE

    public static final int SINGLE

  Style constant for single selection behavior in lists and single line support on text fields (value is 1<<2).

  Used By:

  - `Text`
  - `List`
  - `Table`
  - `Tree`

  See Also:
    Constant Field Values

### READ_ONLY

    public static final int READ_ONLY

  Style constant for read-only behavior (value is 1<<3).

  Used By:

  - `Combo`
  - `Text`

  See Also:
    Constant Field Values

### WRAP

    public static final int WRAP

  Style constant for automatic line wrap behavior (value is 1<<6).

  Used By:

  - `Label`
  - `Text`
  - `ToolBar`

  See Also:
    Constant Field Values

### SIMPLE

    public static final int SIMPLE

  Style constant for simple (not drop down) behavior (value is 1<<6).

  Used By:

  - `Combo`

  See Also:
    Constant Field Values

### PASSWORD

    public static final int PASSWORD

  Style constant for password behavior (value is 1<<22).

  Used By:

  - `Text`

  Since:
    3.0
  See Also:
    Constant Field Values

### SHADOW_IN

    public static final int SHADOW_IN

  Style constant for shadow in behavior (value is 1<<2).
  Note that this is a HINT.

  Used By:

  - `Label`
  - `Group`

  See Also:
    Constant Field Values

### SHADOW_OUT

    public static final int SHADOW_OUT

  Style constant for shadow out behavior (value is 1<<3).
  Note that this is a HINT.

  Used By:

  - `Label`
  - `Group`
  - `ToolBar`

  See Also:
    Constant Field Values

### SHADOW_ETCHED_IN

    public static final int SHADOW_ETCHED_IN

  Style constant for shadow etched in behavior (value is 1<<4).
  Note that this is a HINT. It is ignored on all platforms except Motif.

  Used By:

  - `Group`

  See Also:
    Constant Field Values

### SHADOW_ETCHED_OUT

    public static final int SHADOW_ETCHED_OUT

  Style constant for shadow etched out behavior (value is 1<<6).
  Note that this is a HINT. It is ignored on all platforms except Motif.

  Used By:

  - `Group`

  See Also:
    Constant Field Values

### SHADOW_NONE

    public static final int SHADOW_NONE

  Style constant for no shadow behavior (value is 1<<5).
  Note that this is a HINT.

  Used By:

  - `Label`
  - `Group`

  See Also:
    Constant Field Values

### INDETERMINATE

    public static final int INDETERMINATE

  Style constant for progress bar behavior (value is 1<<1).

  Used By:

  - `ProgressBar`

  See Also:
    Constant Field Values

### TOOL

    public static final int TOOL

  Style constant for tool window behavior (value is 1<<2).

  A tool window is a window intended to be used as a floating toolbar. It typically has a title bar that is shorter than a normal title bar, and the window title is typically drawn using a smaller font.
  Note that this is a HINT.

  Used By:

  - `Decorations` and subclasses

  See Also:
    Constant Field Values

### NO_TRIM

    public static final int NO_TRIM

  Style constant to ensure no trimmings are used (value is 1<<3).
  Note that this overrides all other trim styles.

  Used By:

  - `Decorations` and subclasses

  See Also:
    Constant Field Values

### RESIZE

    public static final int RESIZE

  Style constant for resize box trim (value is 1<<4).

  Used By:

  - `Decorations` and subclasses
  - `Tracker`

  See Also:
    Constant Field Values

### TITLE

    public static final int TITLE

  Style constant for title area trim (value is 1<<5).

  Used By:

  - `Decorations` and subclasses

  See Also:
    Constant Field Values

### CLOSE

    public static final int CLOSE

  Style constant for close box trim (value is 1<<6, since we do not distinguish between CLOSE style and MENU style).

  Used By:

  - `Decorations` and subclasses

  See Also:
    Constant Field Values

### MENU

    public static final int MENU

  Style constant for shell menu trim (value is 1<<6, since we do not distinguish between CLOSE style and MENU style).

  Used By:

  - `Decorations` and subclasses

  See Also:
    Constant Field Values

### MIN

    public static final int MIN

  Style constant for minimize box trim (value is 1<<7).

  Used By:

  - `Decorations` and subclasses

  See Also:
    Constant Field Values

### MAX

    public static final int MAX

  Style constant for maximize box trim (value is 1<<10).

  Used By:

  - `Decorations` and subclasses

  See Also:
    Constant Field Values

### H_SCROLL

    public static final int H_SCROLL

  Style constant for horizontal scrollbar behavior (value is 1<<8).

  Used By:

  - `Scrollable` and subclasses

  See Also:
    Constant Field Values

### V_SCROLL

    public static final int V_SCROLL

  Style constant for vertical scrollbar behavior (value is 1<<9).

  Used By:

  - `Scrollable` and subclasses

  See Also:
    Constant Field Values

### BORDER

    public static final int BORDER

  Style constant for bordered behavior (value is 1<<11).
  Note that this is a HINT.

  Used By:

  - `Control` and subclasses

  See Also:
    Constant Field Values

### CLIP_CHILDREN

    public static final int CLIP_CHILDREN

  Style constant indicating that the window manager should clip a widget's children with respect to its viewable area. (value is 1<<12).
  Note that this is a HINT.

  Used By:

  - `Control` and subclasses

  See Also:
    Constant Field Values

### CLIP_SIBLINGS

    public static final int CLIP_SIBLINGS

  Style constant indicating that the window manager should clip a widget's siblings with respect to its viewable area. (value is 1<<13).
  Note that this is a HINT.

  Used By:

  - `Control` and subclasses

  See Also:
    Constant Field Values

### ON_TOP

    public static final int ON_TOP

  Style constant for always on top behavior (value is 1<<14).
  Note that this is a HINT.

  Used By:

  - `Shell` and subclasses

  See Also:
    Constant Field Values

### SHELL_TRIM

    public static final int SHELL_TRIM

  Trim style convenience constant for the most common top level shell appearance (value is CLOSE|TITLE|MIN|MAX|RESIZE).

  Used By:

  - `Shell`

  See Also:
    Constant Field Values

### DIALOG_TRIM

    public static final int DIALOG_TRIM

  Trim style convenience constant for the most common dialog shell appearance (value is CLOSE|TITLE|BORDER).

  Used By:

  - `Shell`

  See Also:
    Constant Field Values

### MODELESS

    public static final int MODELESS

  Style constant for modeless behavior (value is 0).
  Note that this is a HINT.

  Used By:

  - `Dialog`
  - `Shell`

  See Also:
    Constant Field Values

### PRIMARY_MODAL

    public static final int PRIMARY_MODAL

  Style constant for primary modal behavior (value is 1<<15).
  Note that this is a HINT.

  Used By:

  - `Dialog`
  - `Shell`

  See Also:
    Constant Field Values

### APPLICATION_MODAL

    public static final int APPLICATION_MODAL

  Style constant for application modal behavior (value is 1<<16).
  Note that this is a HINT.

  Used By:

  - `Dialog`
  - `Shell`

  See Also:
    Constant Field Values

### SYSTEM_MODAL

    public static final int SYSTEM_MODAL

  Style constant for system modal behavior (value is 1<<17).
  Note that this is a HINT.

  Used By:

  - `Dialog`
  - `Shell`

  See Also:
    Constant Field Values

### HIDE_SELECTION

    public static final int HIDE_SELECTION

  Style constant for selection hiding behavior when the widget loses focus (value is 1<<15).
  Note that this is a HINT.

  Used By:

  - `Table`

  See Also:
    Constant Field Values

### FULL_SELECTION

    public static final int FULL_SELECTION

  Style constant for full row selection behavior. (value is 1<<16).
  Note that this is a HINT.

  Used By:

  - `StyledText`
  - `Table`
  - `TableTree`

  See Also:
    Constant Field Values

### FLAT

    public static final int FLAT

  Style constant for flat appearance. (value is 1<<23).
  Note that this is a HINT.

  Used By:

  - `Button`
  - `ToolBar`

  See Also:
    Constant Field Values

### SMOOTH

    public static final int SMOOTH

  Style constant for flat appearance. (value is 1<<16).
  Note that this is a HINT.

  Used By:

  - `ProgressBar`

  See Also:
    Constant Field Values

### NO_BACKGROUND

    public static final int NO_BACKGROUND

  Style constant for no background behavior (value is 1<<18).

  By default, before a widget paints, the client area is filled with the current background color. When this style is specified, the background is not filled, and the application is responsible for filling every pixel of the client area. This style might be used as an alternative to "double-buffering" in order to reduce flicker. This style does not mean "transparent" - widgets that are obscured will not draw through.

  Used By:

  - `Composite`

  See Also:
    Constant Field Values

### NO_FOCUS

    public static final int NO_FOCUS

  Style constant for does not take focus behavior (value is 1<<19).
  Note that this is a HINT.

  Used By:

  - `Composite`

  See Also:
    Constant Field Values

### NO_REDRAW_RESIZE

    public static final int NO_REDRAW_RESIZE

  Style constant for no redraw on resize behavior (value is 1<<20).

  This style stops the entire client area from being invalidated when the size of the Canvas changes. Specifically, when the size of the Canvas gets smaller, the SWT.Paint event is not sent. When it gets bigger, an SWT.Paint event is sent with a GC clipped to only the new areas to be painted. Without this style, the entire client area will be repainted.

  Used By:

  - `Composite`

  See Also:
    Constant Field Values

### NO_MERGE_PAINTS

    public static final int NO_MERGE_PAINTS

  Style constant for no paint event merging behavior (value is 1<<21).

  Used By:

  - `Composite`

  See Also:
    Constant Field Values

### NO_RADIO_GROUP

    public static final int NO_RADIO_GROUP

  Style constant for preventing child radio group behavior (value is 1<<22).

  Used By:

  - `Composite`

  See Also:
    Constant Field Values

### LEFT_TO_RIGHT

    public static final int LEFT_TO_RIGHT

  Style constant for left to right orientation (value is 1<<25).

  When orientation is not explicitly specified, orientation is inherited. This means that children will be assigned the orientation of their parent. To override this behavior and force an orientation for a child, explicitly set the orientation of the child when that child is created.

  Used By:

  - `Control`
  - `Menu`
  - `GC`

  Since:
    2.1.2
  See Also:
    Constant Field Values

### RIGHT_TO_LEFT

    public static final int RIGHT_TO_LEFT

  Style constant for right to left orientation (value is 1<<26).

  When orientation is not explicitly specified, orientation is inherited. This means that children will be assigned the orientation of their parent. To override this behavior and force an orientation for a child, explicitly set the orientation of the child when that child is created.

  Used By:

  - `Control`
  - `Menu`
  - `GC`

  Since:
    2.1.2
  See Also:
    Constant Field Values

### MIRRORED

    public static final int MIRRORED

  Style constant to indicate coordinate mirroring (value is 1<<27).

  Used By:

  - `Control`
  - `Menu`

  Since:
    2.1.2
  See Also:
    Constant Field Values

### EMBEDDED

    public static final int EMBEDDED

  Style constant to allow embedding (value is 1<<24).

  Used By:

  - `Composite`

  Since:
    3.0
  See Also:
    Constant Field Values

### VIRTUAL

    public static final int VIRTUAL

  Style constant to allow virtual data (value is 1<<28).

  Used By:

  - `Table`

  Since:
    3.0
  See Also:
    Constant Field Values

### UP

    public static final int UP

  Style constant for align up behavior (value is 1<<7, since align UP and align TOP are considered the same).

  Used By:

  - `Button` with `ARROW` style
  - `Tracker`

  See Also:
    Constant Field Values

### TOP

    public static final int TOP

  Style constant for align top behavior (value is 1<<7, since align UP and align TOP are considered the same).

  Used By:

  - `FormAttachment` in a `FormLayout`

  See Also:
    Constant Field Values

### DOWN

    public static final int DOWN

  Style constant for align down behavior (value is 1<<10, since align DOWN and align BOTTOM are considered the same).

  Used By:

  - `Button` with `ARROW` style
  - `Tracker`

  See Also:
    Constant Field Values

### BOTTOM

    public static final int BOTTOM

  Style constant for align bottom behavior (value is 1<<10, since align DOWN and align BOTTOM are considered the same).

  Used By:

  - `FormAttachment` in a `FormLayout`

  See Also:
    Constant Field Values

### LEAD

    public static final int LEAD

  Style constant for leading alignment (value is 1<<14).

  Used By:

  - `Button`
  - `Label`
  - `TableColumn`
  - `Tracker`
  - `FormAttachment` in a `FormLayout`

  Since:
    2.1.2
  See Also:
    Constant Field Values

### LEFT

    public static final int LEFT

  Style constant for align left behavior (value is 1<<14). This is a synonym for LEAD (value is 1<<14). Newer applications should use LEAD instead of LEFT to make code more understandable on right-to-left platforms.

  See Also:
    Constant Field Values

### TRAIL

    public static final int TRAIL

  Style constant for trailiing alignment (value is 1<<17).

  Used By:

  - `Button`
  - `Label`
  - `TableColumn`
  - `Tracker`
  - `FormAttachment` in a `FormLayout`

  Since:
    2.1.2
  See Also:
    Constant Field Values

### RIGHT

    public static final int RIGHT

  Style constant for align right behavior (value is 1<<17). This is a synonym for TRAIL (value is 1<<14). Newer applications should use TRAIL instead of RIGHT to make code more understandable on right-to-left platforms.

  See Also:
    Constant Field Values

### CENTER

    public static final int CENTER

  Style constant for align center behavior (value is 1<<24).

  Used By:

  - `Button`
  - `Label`
  - `TableColumn`
  - `FormAttachment` in a `FormLayout`

  See Also:
    Constant Field Values

### HORIZONTAL

    public static final int HORIZONTAL

  Style constant for horizontal alignment or orientation behavior (value is 1<<8).

  Used By:

  - `Label`
  - `ProgressBar`
  - `Sash`
  - `Scale`
  - `ScrollBar`
  - `Slider`
  - `ToolBar`
  - `FillLayout` type
  - `RowLayout` type

  See Also:
    Constant Field Values

### VERTICAL

    public static final int VERTICAL

  Style constant for vertical alignment or orientation behavior (value is 1<<9).

  Used By:

  - `Label`
  - `ProgressBar`
  - `Sash`
  - `Scale`
  - `ScrollBar`
  - `Slider`
  - `ToolBar`
  - `FillLayout` type
  - `RowLayout` type

  See Also:
    Constant Field Values

### BEGINNING

    public static final int BEGINNING

  Style constant for vertical alignment or orientation behavior (value is 1).

  Used By:

  - `GridLayout` type

  See Also:
    Constant Field Values

### FILL

    public static final int FILL

  Style constant for vertical alignment or orientation behavior (value is 4).

  Used By:

  - `GridLayout` type

  See Also:
    Constant Field Values

### DBCS

    public static final int DBCS

  Input Method Editor style constant for double byte input behavior (value is 1<<1).

  See Also:
    Constant Field Values

### ALPHA

    public static final int ALPHA

  Input Method Editor style constant for alpha input behavior (value is 1<<2).

  See Also:
    Constant Field Values

### NATIVE

    public static final int NATIVE

  Input Method Editor style constant for native input behavior (value is 1<<3).

  See Also:
    Constant Field Values

### PHONETIC

    public static final int PHONETIC

  Input Method Editor style constant for phonetic input behavior (value is 1<<4).

  See Also:
    Constant Field Values

### ROMAN

    public static final int ROMAN

  Input Method Editor style constant for romanicized input behavior (value is 1<<5).

  See Also:
    Constant Field Values

### BS

    public static final char BS

  ASCII character convenience constant for the backspace character (value is the `char` '\b').

  See Also:
    Constant Field Values

### CR

    public static final char CR

  ASCII character convenience constant for the carriage return character (value is the `char` '\r').

  See Also:
    Constant Field Values

### DEL

    public static final char DEL

  ASCII character convenience constant for the delete character (value is the `char` with value 127).

  See Also:
    Constant Field Values

### ESC

    public static final char ESC

  ASCII character convenience constant for the escape character (value is the `char` with value 27).

  See Also:
    Constant Field Values

### LF

    public static final char LF

  ASCII character convenience constant for the line feed character (value is the `char` '\n').

  See Also:
    Constant Field Values

### TAB

    public static final char TAB

  ASCII character convenience constant for the tab character (value is the `char` '\t').

  Since:
    2.1
  See Also:
    Constant Field Values

### ALT

    public static final int ALT

  keyboard and/or mouse event mask indicating that the ALT key was pushed on the keyboard when the event was generated (value is 1<<16).

  See Also:
    Constant Field Values

### SHIFT

    public static final int SHIFT

  Keyboard and/or mouse event mask indicating that the SHIFT key was pushed on the keyboard when the event was generated (value is 1<<17).

  See Also:
    Constant Field Values

### CTRL

    public static final int CTRL

  Keyboard and/or mouse event mask indicating that the CTRL key was pushed on the keyboard when the event was generated (value is 1<<18).

  See Also:
    Constant Field Values

### CONTROL

    public static final int CONTROL

  Keyboard and/or mouse event mask indicating that the CTRL key was pushed on the keyboard when the event was generated. This is a synonym for CTRL (value is 1<<18).

  See Also:
    Constant Field Values

### COMMAND

    public static final int COMMAND

  Keyboard and/or mouse event mask indicating that the COMMAND key was pushed on the keyboard when the event was generated (value is 1<<22).

  Since:
    2.1
  See Also:
    Constant Field Values

### MODIFIER_MASK

    public static final int MODIFIER_MASK

  Keyboard and/or mouse event mask indicating all possible keyboard modifiers. To allow for the future, this mask is intended to be used in place of code that references each individual keyboard mask. For example, the following expression will determine whether any modifer is pressed and will continue to work as new modifier masks are added. `(stateMask & SWT.MODIFIER_MASK) != 0`.

  Since:
    2.1

### BUTTON1

    public static final int BUTTON1

  Keyboard and/or mouse event mask indicating that mouse button one was pushed when the event was generated. (value is 1<<19).

  See Also:
    Constant Field Values

### BUTTON2

    public static final int BUTTON2

  Keyboard and/or mouse event mask indicating that mouse button two was pushed when the event was generated. (value is 1<<20).

  See Also:
    Constant Field Values

### BUTTON3

    public static final int BUTTON3

  Keyboard and/or mouse event mask indicating that mouse button three was pushed when the event was generated. (value is 1<<21).

  See Also:
    Constant Field Values

### BUTTON_MASK

    public static final int BUTTON_MASK

  Keyboard and/or mouse event mask indicating all possible mouse buttons. To allow for the future, this mask is intended to be used in place of code that references each individual button mask. For example, the following expression will determine whether any button is pressed and will continue to work as new button masks are added. `(stateMask & SWT.BUTTON_MASK) != 0`.

  Since:
    2.1

### MOD1

    public static final int MOD1

  Keyboard and/or mouse event mask indicating that the MOD1 key was pushed on the keyboard when the event was generated. This is the primary keyboard modifier for the platform.

  Since:
    2.1

### MOD2

    public static final int MOD2

  Keyboard and/or mouse event mask indicating that the MOD2 key was pushed on the keyboard when the event was generated. This is the secondary keyboard modifier for the platform.

  Since:
    2.1

### MOD3

    public static final int MOD3

  Keyboard and/or mouse event mask indicating that the MOD3 key was pushed on the keyboard when the event was generated.

  Since:
    2.1

### MOD4

    public static final int MOD4

  Keyboard and/or mouse event mask indicating that the MOD4 key was pushed on the keyboard when the event was generated.

  Since:
    2.1

### KEYCODE_BIT

    public static final int KEYCODE_BIT

  Accelerator constant used to differentiate a key code from a unicode character. If this bit is set, then the key stroke portion of an accelerator represents a key code. If this bit is not set, then the key stroke portion of an accelerator is a unicode character. The following expression is false: `((SWT.MOD1 | SWT.MOD2 | 'T') & SWT.KEYCODE_BIT) != 0`. The following expression is true: `((SWT.MOD3 | SWT.F2) & SWT.KEYCODE_BIT) != 0`. (value is (1<<24))

  Since:
    2.1
  See Also:
    Constant Field Values

### KEY_MASK

    public static final int KEY_MASK

  Accelerator constant used to extract the key stroke portion of an accelerator. The key stroke may be a key code or a unicode value. If the key stroke is a key code `KEYCODE_BIT` will be set.

  Since:
    2.1
  See Also:
    Constant Field Values

### ARROW_UP

    public static final int ARROW_UP

  Keyboard event constant representing the UP ARROW key (value is (1<<24)+1).

  See Also:
    Constant Field Values

### ARROW_DOWN

    public static final int ARROW_DOWN

  Keyboard event constant representing the DOWN ARROW key (value is (1<<24)+2).

  See Also:
    Constant Field Values

### ARROW_LEFT

    public static final int ARROW_LEFT

  Keyboard event constant representing the LEFT ARROW key (value is (1<<24)+3).

  See Also:
    Constant Field Values

### ARROW_RIGHT

    public static final int ARROW_RIGHT

  Keyboard event constant representing the RIGHT ARROW key (value is (1<<24)+4).

  See Also:
    Constant Field Values

### PAGE_UP

    public static final int PAGE_UP

  Keyboard event constant representing the PAGE UP key (value is (1<<24)+5).

  See Also:
    Constant Field Values

### PAGE_DOWN

    public static final int PAGE_DOWN

  Keyboard event constant representing the PAGE DOWN key (value is (1<<24)+6).

  See Also:
    Constant Field Values

### HOME

    public static final int HOME

  Keyboard event constant representing the HOME key (value is (1<<24)+7).

  See Also:
    Constant Field Values

### END

    public static final int END

  Keyboard event constant representing the END key (value is (1<<24)+8).

  See Also:
    Constant Field Values

### INSERT

    public static final int INSERT

  Keyboard event constant representing the INSERT key (value is (1<<24)+9).

  See Also:
    Constant Field Values

### F1

    public static final int F1

  Keyboard event constant representing the F1 key (value is (1<<24)+10).

  See Also:
    Constant Field Values

### F2

    public static final int F2

  Keyboard event constant representing the F2 key (value is (1<<24)+11).

  See Also:
    Constant Field Values

### F3

    public static final int F3

  Keyboard event constant representing the F3 key (value is (1<<24)+12).

  See Also:
    Constant Field Values

### F4

    public static final int F4

  Keyboard event constant representing the F4 key (value is (1<<24)+13).

  See Also:
    Constant Field Values

### F5

    public static final int F5

  Keyboard event constant representing the F5 key (value is (1<<24)+14).

  See Also:
    Constant Field Values

### F6

    public static final int F6

  Keyboard event constant representing the F6 key (value is (1<<24)+15).

  See Also:
    Constant Field Values

### F7

    public static final int F7

  Keyboard event constant representing the F7 key (value is (1<<24)+16).

  See Also:
    Constant Field Values

### F8

    public static final int F8

  Keyboard event constant representing the F8 key (value is (1<<24)+17).

  See Also:
    Constant Field Values

### F9

    public static final int F9

  Keyboard event constant representing the F9 key (value is (1<<24)+18).

  See Also:
    Constant Field Values

### F10

    public static final int F10

  Keyboard event constant representing the F10 key (value is (1<<24)+19).

  See Also:
    Constant Field Values

### F11

    public static final int F11

  Keyboard event constant representing the F11 key (value is (1<<24)+20).

  See Also:
    Constant Field Values

### F12

    public static final int F12

  Keyboard event constant representing the F12 key (value is (1<<24)+21).

  See Also:
    Constant Field Values

### F13

    public static final int F13

  Keyboard event constant representing the F13 key (value is (1<<24)+22).

  Since:
    3.0
  See Also:
    Constant Field Values

### F14

    public static final int F14

  Keyboard event constant representing the F14 key (value is (1<<24)+23).

  Since:
    3.0
  See Also:
    Constant Field Values

### F15

    public static final int F15

  Keyboard event constant representing the F15 key (value is (1<<24)+24).

  Since:
    3.0
  See Also:
    Constant Field Values

### KEYPAD_MULTIPLY

    public static final int KEYPAD_MULTIPLY

  Keyboard event constant representing the numeric key pad multiply key (value is (1<<24)+42).

  Since:
    3.0
  See Also:
    Constant Field Values

### KEYPAD_ADD

    public static final int KEYPAD_ADD

  Keyboard event constant representing the numeric key pad add key (value is (1<<24)+43).

  Since:
    3.0
  See Also:
    Constant Field Values

### KEYPAD_SUBTRACT

    public static final int KEYPAD_SUBTRACT

  Keyboard event constant representing the numeric key pad subtract key (value is (1<<24)+45).

  Since:
    3.0
  See Also:
    Constant Field Values

### KEYPAD_DECIMAL

    public static final int KEYPAD_DECIMAL

  Keyboard event constant representing the numeric key pad decimal key (value is (1<<24)+46).

  Since:
    3.0
  See Also:
    Constant Field Values

### KEYPAD_DIVIDE

    public static final int KEYPAD_DIVIDE

  Keyboard event constant representing the numeric key pad divide key (value is (1<<24)+47).

  Since:
    3.0
  See Also:
    Constant Field Values

### KEYPAD_0

    public static final int KEYPAD_0

  Keyboard event constant representing the numeric key pad zero key (value is (1<<24)+48).

  Since:
    3.0
  See Also:
    Constant Field Values

### KEYPAD_1

    public static final int KEYPAD_1

  Keyboard event constant representing the numeric key pad one key (value is (1<<24)+49).

  Since:
    3.0
  See Also:
    Constant Field Values

### KEYPAD_2

    public static final int KEYPAD_2

  Keyboard event constant representing the numeric key pad two key (value is (1<<24)+50).

  Since:
    3.0
  See Also:
    Constant Field Values

### KEYPAD_3

    public static final int KEYPAD_3

  Keyboard event constant representing the numeric key pad three key (value is (1<<24)+51).

  Since:
    3.0
  See Also:
    Constant Field Values

### KEYPAD_4

    public static final int KEYPAD_4

  Keyboard event constant representing the numeric key pad four key (value is (1<<24)+52).

  Since:
    3.0
  See Also:
    Constant Field Values

### KEYPAD_5

    public static final int KEYPAD_5

  Keyboard event constant representing the numeric key pad five key (value is (1<<24)+53).

  Since:
    3.0
  See Also:
    Constant Field Values

### KEYPAD_6

    public static final int KEYPAD_6

  Keyboard event constant representing the numeric key pad six key (value is (1<<24)+54).

  Since:
    3.0
  See Also:
    Constant Field Values

### KEYPAD_7

    public static final int KEYPAD_7

  Keyboard event constant representing the numeric key pad seven key (value is (1<<24)+55).

  Since:
    3.0
  See Also:
    Constant Field Values

### KEYPAD_8

    public static final int KEYPAD_8

  Keyboard event constant representing the numeric key pad eight key (value is (1<<24)+56).

  Since:
    3.0
  See Also:
    Constant Field Values

### KEYPAD_9

    public static final int KEYPAD_9

  Keyboard event constant representing the numeric key pad nine key (value is (1<<24)+57).

  Since:
    3.0
  See Also:
    Constant Field Values

### KEYPAD_EQUAL

    public static final int KEYPAD_EQUAL

  Keyboard event constant representing the numeric key pad equal key (value is (1<<24)+61).

  Since:
    3.0
  See Also:
    Constant Field Values

### KEYPAD_CR

    public static final int KEYPAD_CR

  Keyboard event constant representing the numeric key pad enter key (value is (1<<24)+80).

  Since:
    3.0
  See Also:
    Constant Field Values

### HELP

    public static final int HELP

  Keyboard event constant representing the help key (value is (1<<24)+81). NOTE: The HELP key maps to the key labeled "help", not "F1". If your keyboard does not have a HELP key, you will never see this key press. To listen for help on a control, use SWT.Help.

  Since:
    3.0
  See Also:
    `Help`, Constant Field Values

### CAPS_LOCK

    public static final int CAPS_LOCK

  Keyboard event constant representing the caps lock key (value is (1<<24)+82).

  Since:
    3.0
  See Also:
    Constant Field Values

### NUM_LOCK

    public static final int NUM_LOCK

  Keyboard event constant representing the num lock key (value is (1<<24)+83).

  Since:
    3.0
  See Also:
    Constant Field Values

### SCROLL_LOCK

    public static final int SCROLL_LOCK

  Keyboard event constant representing the scroll lock key (value is (1<<24)+84).

  Since:
    3.0
  See Also:
    Constant Field Values

### PAUSE

    public static final int PAUSE

  Keyboard event constant representing the pause key (value is (1<<24)+85).

  Since:
    3.0
  See Also:
    Constant Field Values

### BREAK

    public static final int BREAK

  Keyboard event constant representing the break key (value is (1<<24)+86).

  Since:
    3.0
  See Also:
    Constant Field Values

### PRINT_SCREEN

    public static final int PRINT_SCREEN

  Keyboard event constant representing the break key (value is (1<<24)+87).

  Since:
    3.0
  See Also:
    Constant Field Values

### ICON_ERROR

    public static final int ICON_ERROR

  The `MessageBox` style constant for error icon behavior (value is 1).

  See Also:
    Constant Field Values

### ICON_INFORMATION

    public static final int ICON_INFORMATION

  The `MessageBox` style constant for information icon behavior (value is 1<<1).

  See Also:
    Constant Field Values

### ICON_QUESTION

    public static final int ICON_QUESTION

  The `MessageBox` style constant for question icon behavior (value is 1<<2).

  See Also:
    Constant Field Values

### ICON_WARNING

    public static final int ICON_WARNING

  The `MessageBox` style constant for warning icon behavior (value is 1<<3).

  See Also:
    Constant Field Values

### ICON_WORKING

    public static final int ICON_WORKING

  The `MessageBox` style constant for "working" icon behavior (value is 1<<4).

  See Also:
    Constant Field Values

### OK

    public static final int OK

  The `MessageBox` style constant for an OK button; valid combinations are OK, OK|CANCEL (value is 1<<5).

  See Also:
    Constant Field Values

### YES

    public static final int YES

  The `MessageBox` style constant for YES button; valid combinations are YES|NO, YES|NO|CANCEL (value is 1<<6).

  See Also:
    Constant Field Values

### NO

    public static final int NO

  The `MessageBox` style constant for NO button; valid combinations are YES|NO, YES|NO|CANCEL (value is 1<<7).

  See Also:
    Constant Field Values

### CANCEL

    public static final int CANCEL

  The `MessageBox` style constant for a CANCEL button; valid combinations are OK|CANCEL, YES|NO|CANCEL, RETRY|CANCEL (value is 1<<8).

  See Also:
    Constant Field Values

### ABORT

    public static final int ABORT

  The `MessageBox` style constant for an ABORT button; the only valid combination is ABORT|RETRY|IGNORE (value is 1<<9).

  See Also:
    Constant Field Values

### RETRY

    public static final int RETRY

  The `MessageBox` style constant for a RETRY button; valid combinations are ABORT|RETRY|IGNORE, RETRY|CANCEL (value is 1<<10).

  See Also:
    Constant Field Values

### IGNORE

    public static final int IGNORE

  The `MessageBox` style constant for an IGNORE button; the only valid combination is ABORT|RETRY|IGNORE (value is 1<<11).

  See Also:
    Constant Field Values

### OPEN

    public static final int OPEN

  The `FileDialog` style constant for open file dialog behavior (value is 1<<12).

  See Also:
    Constant Field Values

### SAVE

    public static final int SAVE

  The `FileDialog` style constant for save file dialog behavior (value is 1<<13).

  See Also:
    Constant Field Values

### COLOR_WHITE

    public static final int COLOR_WHITE

  Default color white (value is 1).

  See Also:
    Constant Field Values

### COLOR_BLACK

    public static final int COLOR_BLACK

  Default color black (value is 2).

  See Also:
    Constant Field Values

### COLOR_RED

    public static final int COLOR_RED

  Default color red (value is 3).

  See Also:
    Constant Field Values

### COLOR_DARK_RED

    public static final int COLOR_DARK_RED

  Default color dark red (value is 4).

  See Also:
    Constant Field Values

### COLOR_GREEN

    public static final int COLOR_GREEN

  Default color green (value is 5).

  See Also:
    Constant Field Values

### COLOR_DARK_GREEN

    public static final int COLOR_DARK_GREEN

  Default color dark green (value is 6).

  See Also:
    Constant Field Values

### COLOR_YELLOW

    public static final int COLOR_YELLOW

  Default color yellow (value is 7).

  See Also:
    Constant Field Values

### COLOR_DARK_YELLOW

    public static final int COLOR_DARK_YELLOW

  Default color dark yello (value is 8).

  See Also:
    Constant Field Values

### COLOR_BLUE

    public static final int COLOR_BLUE

  Default color blue (value is 9).

  See Also:
    Constant Field Values

### COLOR_DARK_BLUE

    public static final int COLOR_DARK_BLUE

  Default color dark blue (value is 10).

  See Also:
    Constant Field Values

### COLOR_MAGENTA

    public static final int COLOR_MAGENTA

  Default color magenta (value is 11).

  See Also:
    Constant Field Values

### COLOR_DARK_MAGENTA

    public static final int COLOR_DARK_MAGENTA

  Default color dark magenta (value is 12).

  See Also:
    Constant Field Values

### COLOR_CYAN

    public static final int COLOR_CYAN

  Default color cyan (value is 13).

  See Also:
    Constant Field Values

### COLOR_DARK_CYAN

    public static final int COLOR_DARK_CYAN

  Default color dark cyan (value is 14).

  See Also:
    Constant Field Values

### COLOR_GRAY

    public static final int COLOR_GRAY

  Default color gray (value is 15).

  See Also:
    Constant Field Values

### COLOR_DARK_GRAY

    public static final int COLOR_DARK_GRAY

  Default color dark gray (value is 16).

  See Also:
    Constant Field Values

### COLOR_WIDGET_DARK_SHADOW

    public static final int COLOR_WIDGET_DARK_SHADOW

  System color used to paint dark shadow areas (value is 17).

  See Also:
    Constant Field Values

### COLOR_WIDGET_NORMAL_SHADOW

    public static final int COLOR_WIDGET_NORMAL_SHADOW

  System color used to paint normal shadow areas (value is 18).

  See Also:
    Constant Field Values

### COLOR_WIDGET_LIGHT_SHADOW

    public static final int COLOR_WIDGET_LIGHT_SHADOW

  System color used to paint light shadow areas (value is 19).

  See Also:
    Constant Field Values

### COLOR_WIDGET_HIGHLIGHT_SHADOW

    public static final int COLOR_WIDGET_HIGHLIGHT_SHADOW

  System color used to paint highlight shadow areas (value is 20).

  See Also:
    Constant Field Values

### COLOR_WIDGET_FOREGROUND

    public static final int COLOR_WIDGET_FOREGROUND

  System color used to paint foreground areas (value is 21).

  See Also:
    Constant Field Values

### COLOR_WIDGET_BACKGROUND

    public static final int COLOR_WIDGET_BACKGROUND

  System color used to paint background areas (value is 22).

  See Also:
    Constant Field Values

### COLOR_WIDGET_BORDER

    public static final int COLOR_WIDGET_BORDER

  System color used to paint border areas (value is 23).

  See Also:
    Constant Field Values

### COLOR_LIST_FOREGROUND

    public static final int COLOR_LIST_FOREGROUND

  System color used to paint list foreground areas (value is 24).

  See Also:
    Constant Field Values

### COLOR_LIST_BACKGROUND

    public static final int COLOR_LIST_BACKGROUND

  System color used to paint list background areas (value is 25).

  See Also:
    Constant Field Values

### COLOR_LIST_SELECTION

    public static final int COLOR_LIST_SELECTION

  System color used to paint list selection background areas (value is 26).

  See Also:
    Constant Field Values

### COLOR_LIST_SELECTION_TEXT

    public static final int COLOR_LIST_SELECTION_TEXT

  System color used to paint list selected text (value is 27).

  See Also:
    Constant Field Values

### COLOR_INFO_FOREGROUND

    public static final int COLOR_INFO_FOREGROUND

  System color used to paint tooltip text (value is 28).

  See Also:
    Constant Field Values

### COLOR_INFO_BACKGROUND

    public static final int COLOR_INFO_BACKGROUND

  System color used to paint tooltip background areas (value is 29).

  See Also:
    Constant Field Values

### COLOR_TITLE_FOREGROUND

    public static final int COLOR_TITLE_FOREGROUND

  System color used to paint title text (value is 30).

  See Also:
    Constant Field Values

### COLOR_TITLE_BACKGROUND

    public static final int COLOR_TITLE_BACKGROUND

  System color used to paint title background areas (value is 31).

  See Also:
    Constant Field Values

### COLOR_TITLE_BACKGROUND_GRADIENT

    public static final int COLOR_TITLE_BACKGROUND_GRADIENT

  System color used to paint title background gradient (value is 32).

  See Also:
    Constant Field Values

### COLOR_TITLE_INACTIVE_FOREGROUND

    public static final int COLOR_TITLE_INACTIVE_FOREGROUND

  System color used to paint inactive title text (value is 33).

  See Also:
    Constant Field Values

### COLOR_TITLE_INACTIVE_BACKGROUND

    public static final int COLOR_TITLE_INACTIVE_BACKGROUND

  System color used to paint inactive title background areas (value is 34).

  See Also:
    Constant Field Values

### COLOR_TITLE_INACTIVE_BACKGROUND_GRADIENT

    public static final int COLOR_TITLE_INACTIVE_BACKGROUND_GRADIENT

  System color used to paint inactive title background gradient (value is 35).

  See Also:
    Constant Field Values

### DRAW_TRANSPARENT

    public static final int DRAW_TRANSPARENT

  Draw constant indicating whether the drawing operation should fill the background (value is 1<<0).

  See Also:
    Constant Field Values

### DRAW_DELIMITER

    public static final int DRAW_DELIMITER

  Draw constant indicating whether the string drawing operation should handle line-delimeters (value is 1<<1).

  See Also:
    Constant Field Values

### DRAW_TAB

    public static final int DRAW_TAB

  Draw constant indicating whether the string drawing operation should expand TAB characters (value is 1<<2).

  See Also:
    Constant Field Values

### DRAW_MNEMONIC

    public static final int DRAW_MNEMONIC

  Draw constant indicating whether the string drawing operation should handle mnemonics (value is 1<<3).

  See Also:
    Constant Field Values

### ERROR_UNSPECIFIED

    public static final int ERROR_UNSPECIFIED

  SWT error constant indicating that no error number was specified (value is 1).

  See Also:
    Constant Field Values

### ERROR_NO_HANDLES

    public static final int ERROR_NO_HANDLES

  SWT error constant indicating that no more handles for an operating system resource are available (value is 2).

  See Also:
    Constant Field Values

### ERROR_NO_MORE_CALLBACKS

    public static final int ERROR_NO_MORE_CALLBACKS

  SWT error constant indicating that no more callback resources are available (value is 3).

  See Also:
    Constant Field Values

### ERROR_NULL_ARGUMENT

    public static final int ERROR_NULL_ARGUMENT

  SWT error constant indicating that a null argument was passed in (value is 4).

  See Also:
    Constant Field Values

### ERROR_INVALID_ARGUMENT

    public static final int ERROR_INVALID_ARGUMENT

  SWT error constant indicating that an invalid argument was passed in (value is 5).

  See Also:
    Constant Field Values

### ERROR_INVALID_RANGE

    public static final int ERROR_INVALID_RANGE

  SWT error constant indicating that a value was found to be outside the allowable range (value is 6).

  See Also:
    Constant Field Values

### ERROR_CANNOT_BE_ZERO

    public static final int ERROR_CANNOT_BE_ZERO

  SWT error constant indicating that a value which can not be zero was found to be (value is 7).

  See Also:
    Constant Field Values

### ERROR_CANNOT_GET_ITEM

    public static final int ERROR_CANNOT_GET_ITEM

  SWT error constant indicating that the underlying operating system was unable to provide the value of an item (value is 8).

  See Also:
    Constant Field Values

### ERROR_CANNOT_GET_SELECTION

    public static final int ERROR_CANNOT_GET_SELECTION

  SWT error constant indicating that the underlying operating system was unable to provide the selection (value is 9).

  See Also:
    Constant Field Values

### ERROR_CANNOT_GET_ITEM_HEIGHT

    public static final int ERROR_CANNOT_GET_ITEM_HEIGHT

  SWT error constant indicating that the underlying operating system was unable to provide the height of an item (value is 11).

  See Also:
    Constant Field Values

### ERROR_CANNOT_GET_TEXT

    public static final int ERROR_CANNOT_GET_TEXT

  SWT error constant indicating that the underlying operating system was unable to provide the text of a widget (value is 12).

  See Also:
    Constant Field Values

### ERROR_CANNOT_SET_TEXT

    public static final int ERROR_CANNOT_SET_TEXT

  SWT error constant indicating that the underlying operating system was unable to set the text of a widget (value is 13).

  See Also:
    Constant Field Values

### ERROR_ITEM_NOT_ADDED

    public static final int ERROR_ITEM_NOT_ADDED

  SWT error constant indicating that the underlying operating system was unable to add an item (value is 14).

  See Also:
    Constant Field Values

### ERROR_ITEM_NOT_REMOVED

    public static final int ERROR_ITEM_NOT_REMOVED

  SWT error constant indicating that the underlying operating system was unable to remove an item (value is 15).

  See Also:
    Constant Field Values

### ERROR_NOT_IMPLEMENTED

    public static final int ERROR_NOT_IMPLEMENTED

  SWT error constant indicating that a particular feature has not been implemented on this platform (value is 20).

  See Also:
    Constant Field Values

### ERROR_MENU_NOT_DROP_DOWN

    public static final int ERROR_MENU_NOT_DROP_DOWN

  SWT error constant indicating that a menu which needed to have the drop down style had some other style instead (value is 21).

  See Also:
    Constant Field Values

### ERROR_THREAD_INVALID_ACCESS

    public static final int ERROR_THREAD_INVALID_ACCESS

  SWT error constant indicating that an attempt was made to invoke an SWT operation which can only be executed by the user-interface thread from some other thread (value is 22).

  See Also:
    Constant Field Values

### ERROR_WIDGET_DISPOSED

    public static final int ERROR_WIDGET_DISPOSED

  SWT error constant indicating that an attempt was made to invoke an SWT operation using a widget which had already been disposed (value is 24).

  See Also:
    Constant Field Values

### ERROR_MENUITEM_NOT_CASCADE

    public static final int ERROR_MENUITEM_NOT_CASCADE

  SWT error constant indicating that a menu item which needed to have the cascade style had some other style instead (value is 27).

  See Also:
    Constant Field Values

### ERROR_CANNOT_SET_SELECTION

    public static final int ERROR_CANNOT_SET_SELECTION

  SWT error constant indicating that the underlying operating system was unable to set the selection of a widget (value is 28).

  See Also:
    Constant Field Values

### ERROR_CANNOT_SET_MENU

    public static final int ERROR_CANNOT_SET_MENU

  SWT error constant indicating that the underlying operating system was unable to set the menu (value is 29).

  See Also:
    Constant Field Values

### ERROR_CANNOT_SET_ENABLED

    public static final int ERROR_CANNOT_SET_ENABLED

  SWT error constant indicating that the underlying operating system was unable to set the enabled state (value is 30).

  See Also:
    Constant Field Values

### ERROR_CANNOT_GET_ENABLED

    public static final int ERROR_CANNOT_GET_ENABLED

  SWT error constant indicating that the underlying operating system was unable to provide enabled/disabled state information (value is 31).

  See Also:
    Constant Field Values

### ERROR_INVALID_PARENT

    public static final int ERROR_INVALID_PARENT

  SWT error constant indicating that a provided widget can not be used as a parent in the current operation (value is 32).

  See Also:
    Constant Field Values

### ERROR_MENU_NOT_BAR

    public static final int ERROR_MENU_NOT_BAR

  SWT error constant indicating that a menu which needed to have the menu bar style had some other style instead (value is 33).

  See Also:
    Constant Field Values

### ERROR_CANNOT_GET_COUNT

    public static final int ERROR_CANNOT_GET_COUNT

  SWT error constant indicating that the underlying operating system was unable to provide count information (value is 36).

  See Also:
    Constant Field Values

### ERROR_MENU_NOT_POP_UP

    public static final int ERROR_MENU_NOT_POP_UP

  SWT error constant indicating that a menu which needed to have the pop up menu style had some other style instead (value is 37).

  See Also:
    Constant Field Values

### ERROR_UNSUPPORTED_DEPTH

    public static final int ERROR_UNSUPPORTED_DEPTH

  SWT error constant indicating that a graphics operation was attempted with an image of an unsupported depth (value is 38).

  See Also:
    Constant Field Values

### ERROR_IO

    public static final int ERROR_IO

  SWT error constant indicating that an input/output operation failed during the execution of an SWT operation (value is 39).

  See Also:
    Constant Field Values

### ERROR_INVALID_IMAGE

    public static final int ERROR_INVALID_IMAGE

  SWT error constant indicating that a graphics operation was attempted with an image having an invalid format (value is 40).

  See Also:
    Constant Field Values

### ERROR_UNSUPPORTED_FORMAT

    public static final int ERROR_UNSUPPORTED_FORMAT

  SWT error constant indicating that a graphics operation was attempted with an image having a valid but unsupported format (value is 42).

  See Also:
    Constant Field Values

### ERROR_INVALID_SUBCLASS

    public static final int ERROR_INVALID_SUBCLASS

  SWT error constant indicating that an attempt was made to subclass an SWT widget class without implementing the `checkSubclass()` method (value is 43). For additional information see the comment in `Widget.checkSubclass()`.

  See Also:
    `Widget.checkSubclass()`, Constant Field Values

### ERROR_GRAPHIC_DISPOSED

    public static final int ERROR_GRAPHIC_DISPOSED

  SWT error constant indicating that an attempt was made to invoke an SWT operation using a graphics object which had already been disposed (value is 44).

  See Also:
    Constant Field Values

### ERROR_DEVICE_DISPOSED

    public static final int ERROR_DEVICE_DISPOSED

  SWT error constant indicating that an attempt was made to invoke an SWT operation using a device which had already been disposed (value is 45).

  See Also:
    Constant Field Values

### ERROR_FAILED_EXEC

    public static final int ERROR_FAILED_EXEC

  SWT error constant indicating that an exception happened when executing a runnable (value is 46).

  See Also:
    Constant Field Values

### ERROR_FAILED_LOAD_LIBRARY

    public static final int ERROR_FAILED_LOAD_LIBRARY

  SWT error constant indicating that an unsatisfied link error occured while attempting to load a library (value is 47).

  See Also:
    Constant Field Values

### TRAVERSE_NONE

    public static final int TRAVERSE_NONE

  Traversal event detail field value indicating that no traversal action should be taken (value is 0).

  See Also:
    Constant Field Values

### TRAVERSE_ESCAPE

    public static final int TRAVERSE_ESCAPE

  Traversal event detail field value indicating that the key which designates that a dialog should be cancelled was pressed; typically, this is the ESC key (value is 1<<1).

  See Also:
    Constant Field Values

### TRAVERSE_RETURN

    public static final int TRAVERSE_RETURN

  Traversal event detail field value indicating that the key which activates the default button in a dialog was pressed; typically, this is the ENTER key (value is 1<<2).

  See Also:
    Constant Field Values

### TRAVERSE_TAB_PREVIOUS

    public static final int TRAVERSE_TAB_PREVIOUS

  Traversal event detail field value indicating that the key which designates that focus should be given to the previous tab group was pressed; typically, this is the SHIFT-TAB key sequence (value is 1<<3).

  See Also:
    Constant Field Values

### TRAVERSE_TAB_NEXT

    public static final int TRAVERSE_TAB_NEXT

  Traversal event detail field value indicating that the key which designates that focus should be given to the next tab group was pressed; typically, this is the TAB key (value is 1<<4).

  See Also:
    Constant Field Values

### TRAVERSE_ARROW_PREVIOUS

    public static final int TRAVERSE_ARROW_PREVIOUS

  Traversal event detail field value indicating that the key which designates that focus should be given to the previous tab item was pressed; typically, this is either the LEFT-ARROW or UP-ARROW keys (value is 1<<5).

  See Also:
    Constant Field Values

### TRAVERSE_ARROW_NEXT

    public static final int TRAVERSE_ARROW_NEXT

  Traversal event detail field value indicating that the key which designates that focus should be given to the previous tab item was pressed; typically, this is either the RIGHT-ARROW or DOWN-ARROW keys (value is 1<<6).

  See Also:
    Constant Field Values

### TRAVERSE_MNEMONIC

    public static final int TRAVERSE_MNEMONIC

  Traversal event detail field value indicating that a mnemonic key sequence was pressed (value is 1<<7).

  See Also:
    Constant Field Values

### TRAVERSE_PAGE_PREVIOUS

    public static final int TRAVERSE_PAGE_PREVIOUS

  Traversal event detail field value indicating that the key which designates that the previous page of a multi-page window should be shown was pressed; typically, this is the CTRL-PAGEUP key sequence (value is 1<<8).

  See Also:
    Constant Field Values

### TRAVERSE_PAGE_NEXT

    public static final int TRAVERSE_PAGE_NEXT

  Traversal event detail field value indicating that the key which designates that the next page of a multi-page window should be shown was pressed; typically, this is the CTRL-PAGEDOWN key sequence (value is 1<<9).

  See Also:
    Constant Field Values

### BITMAP

    public static final int BITMAP

  Constant indicating that an image or operation is of type bitmap (value is 0).

  See Also:
    Constant Field Values

### ICON

    public static final int ICON

  Constant indicating that an image or operation is of type icon (value is 1).

  See Also:
    Constant Field Values

### IMAGE_COPY

    public static final int IMAGE_COPY

  The `Image` constructor argument indicating that the new image should be a copy of the image provided as an argument (value is 0).

  See Also:
    Constant Field Values

### IMAGE_DISABLE

    public static final int IMAGE_DISABLE

  The `Image` constructor argument indicating that the new image should have the appearance of a "disabled" (using the platform's rules for how this should look) copy of the image provided as an argument (value is 1).

  See Also:
    Constant Field Values

### IMAGE_GRAY

    public static final int IMAGE_GRAY

  The `Image` constructor argument indicating that the new image should have the appearance of a "gray scaled" copy of the image provided as an argument (value is 2).

  See Also:
    Constant Field Values

### NORMAL

    public static final int NORMAL

  The font style constant indicating a normal weight, non-italic font (value is 0).

  See Also:
    Constant Field Values

### BOLD

    public static final int BOLD

  The font style constant indicating a bold weight font (value is 1<<0).

  See Also:
    Constant Field Values

### ITALIC

    public static final int ITALIC

  The font style constant indicating an italic font (value is 1<<1).

  See Also:
    Constant Field Values

### CURSOR_ARROW

    public static final int CURSOR_ARROW

  System arrow cursor (value is 0).

  See Also:
    Constant Field Values

### CURSOR_WAIT

    public static final int CURSOR_WAIT

  System wait cursor (value is 1).

  See Also:
    Constant Field Values

### CURSOR_CROSS

    public static final int CURSOR_CROSS

  System cross hair cursor (value is 2).

  See Also:
    Constant Field Values

### CURSOR_APPSTARTING

    public static final int CURSOR_APPSTARTING

  System app startup cursor (value is 3).

  See Also:
    Constant Field Values

### CURSOR_HELP

    public static final int CURSOR_HELP

  System help cursor (value is 4).

  See Also:
    Constant Field Values

### CURSOR_SIZEALL

    public static final int CURSOR_SIZEALL

  System resize all directions cursor (value is 5).

  See Also:
    Constant Field Values

### CURSOR_SIZENESW

    public static final int CURSOR_SIZENESW

  System resize north-east-south-west cursor (value is 6).

  See Also:
    Constant Field Values

### CURSOR_SIZENS

    public static final int CURSOR_SIZENS

  System resize north-south cursor (value is 7).

  See Also:
    Constant Field Values

### CURSOR_SIZENWSE

    public static final int CURSOR_SIZENWSE

  System resize north-west-south-east cursor (value is 8).

  See Also:
    Constant Field Values

### CURSOR_SIZEWE

    public static final int CURSOR_SIZEWE

  System resize west-east cursor (value is 9).

  See Also:
    Constant Field Values

### CURSOR_SIZEN

    public static final int CURSOR_SIZEN

  System resize north cursor (value is 10).

  See Also:
    Constant Field Values

### CURSOR_SIZES

    public static final int CURSOR_SIZES

  System resize south cursor (value is 11).

  See Also:
    Constant Field Values

### CURSOR_SIZEE

    public static final int CURSOR_SIZEE

  System resize east cursor (value is 12).

  See Also:
    Constant Field Values

### CURSOR_SIZEW

    public static final int CURSOR_SIZEW

  System resize west cursor (value is 13).

  See Also:
    Constant Field Values

### CURSOR_SIZENE

    public static final int CURSOR_SIZENE

  System resize north-east cursor (value is 14).

  See Also:
    Constant Field Values

### CURSOR_SIZESE

    public static final int CURSOR_SIZESE

  System resize south-east cursor (value is 15).

  See Also:
    Constant Field Values

### CURSOR_SIZESW

    public static final int CURSOR_SIZESW

  System resize south-west cursor (value is 16).

  See Also:
    Constant Field Values

### CURSOR_SIZENW

    public static final int CURSOR_SIZENW

  System resize north-west cursor (value is 17).

  See Also:
    Constant Field Values

### CURSOR_UPARROW

    public static final int CURSOR_UPARROW

  System up arrow cursor (value is 18).

  See Also:
    Constant Field Values

### CURSOR_IBEAM

    public static final int CURSOR_IBEAM

  System i-beam cursor (value is 19).

  See Also:
    Constant Field Values

### CURSOR_NO

    public static final int CURSOR_NO

  System "not allowed" cursor (value is 20).

  See Also:
    Constant Field Values

### CURSOR_HAND

    public static final int CURSOR_HAND

  System hand cursor (value is 21).

  See Also:
    Constant Field Values

### LINE_SOLID

    public static final int LINE_SOLID

  Line drawing style for solid lines (value is 1).

  See Also:
    Constant Field Values

### LINE_DASH

    public static final int LINE_DASH

  Line drawing style for dashed lines (value is 2).

  See Also:
    Constant Field Values

### LINE_DOT

    public static final int LINE_DOT

  Line drawing style for dotted lines (value is 3).

  See Also:
    Constant Field Values

### LINE_DASHDOT

    public static final int LINE_DASHDOT

  Line drawing style for alternating dash-dot lines (value is 4).

  See Also:
    Constant Field Values

### LINE_DASHDOTDOT

    public static final int LINE_DASHDOTDOT

  Line drawing style for dash-dot-dot lines (value is 5).

  See Also:
    Constant Field Values

### IMAGE_UNDEFINED

    public static final int IMAGE_UNDEFINED

  Image format constant indicating an unknown image type (value is -1).

  See Also:
    Constant Field Values

### IMAGE_BMP

    public static final int IMAGE_BMP

  Image format constant indicating a Windows BMP format image (value is 0).

  See Also:
    Constant Field Values

### IMAGE_BMP_RLE

    public static final int IMAGE_BMP_RLE

  Image format constant indicating a run-length encoded Windows BMP format image (value is 1).

  See Also:
    Constant Field Values

### IMAGE_GIF

    public static final int IMAGE_GIF

  Image format constant indicating a GIF format image (value is 2).

  See Also:
    Constant Field Values

### IMAGE_ICO

    public static final int IMAGE_ICO

  Image format constant indicating a ICO format image (value is 3).

  See Also:
    Constant Field Values

### IMAGE_JPEG

    public static final int IMAGE_JPEG

  Image format constant indicating a JPEG format image (value is 4).

  See Also:
    Constant Field Values

### IMAGE_PNG

    public static final int IMAGE_PNG

  Image format constant indicating a PNG format image (value is 5).

  See Also:
    Constant Field Values

### IMAGE_TIFF

    public static final int IMAGE_TIFF

  Image format constant indicating a TIFF format image (value is 6).

  See Also:
    Constant Field Values

### DM_UNSPECIFIED

    public static final int DM_UNSPECIFIED

  GIF image disposal method constants indicating that the disposal method is unspecified (value is 0).

  See Also:
    Constant Field Values

### DM_FILL_NONE

    public static final int DM_FILL_NONE

  GIF image disposal method constants indicating that the disposal method is to do nothing; that is, to leave the previous image in place (value is 1).

  See Also:
    Constant Field Values

### DM_FILL_BACKGROUND

    public static final int DM_FILL_BACKGROUND

  GIF image disposal method constants indicating that the the previous images should be covered with the background color before displaying the next image (value is 2).

  See Also:
    Constant Field Values

### DM_FILL_PREVIOUS

    public static final int DM_FILL_PREVIOUS

  GIF image disposal method constants indicating that the disposal method is to restore the previous picture (value is 3).

  See Also:
    Constant Field Values

### TRANSPARENCY_NONE

    public static final int TRANSPARENCY_NONE

  Image transparency constant indicating that the image contains no transparency information (value is 0).

  See Also:
    Constant Field Values

### TRANSPARENCY_ALPHA

    public static final int TRANSPARENCY_ALPHA

  Image transparency constant indicating that the image contains alpha transparency information (value is 1<<0).

  See Also:
    Constant Field Values

### TRANSPARENCY_MASK

    public static final int TRANSPARENCY_MASK

  Image transparency constant indicating that the image contains a transparency mask (value is 1<<1).

  See Also:
    Constant Field Values

### TRANSPARENCY_PIXEL

    public static final int TRANSPARENCY_PIXEL

  Image transparency constant indicating that the image contains a transparent pixel (value is 1<<2).

  See Also:
    Constant Field Values

### MOVEMENT_CHAR

    public static final int MOVEMENT_CHAR

  The character movement type (value is 1<<0).

  Since:
    3.0
  See Also:
    `TextLayout.getNextOffset(int, int)`, `TextLayout.getPreviousOffset(int, int)`, Constant Field Values

### MOVEMENT_CLUSTER

    public static final int MOVEMENT_CLUSTER

  The cluster movement type (value is 1<<1).

  Since:
    3.0
  See Also:
    `TextLayout.getNextOffset(int, int)`, `TextLayout.getPreviousOffset(int, int)`, Constant Field Values

### MOVEMENT_WORD

    public static final int MOVEMENT_WORD

  The word movement type (value is 1<<2).

  Since:
    3.0
  See Also:
    `TextLayout.getNextOffset(int, int)`, `TextLayout.getPreviousOffset(int, int)`, Constant Field Values

Constructor Detail

### SWT

    public SWT()

Method Detail

### getMessage

    public static String getMessage(String key)

  Returns the NLS'ed message for the given argument.

  Parameters:
    `key` - the key to look up
  Returns:
    the message for the given key
  Throws:
    `IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the key is null

### getPlatform

    public static String getPlatform()

  Returns the SWT platform name. Examples: "win32", "motif", "gtk", "photon", "carbon"

  Returns:
    the SWT platform name

### getVersion

    public static int getVersion()

  Returns the SWT version number as an integer. Example: "SWT051" == 51

  Returns:
    the SWT version number

### error

    public static void error(int code)

  Throws an appropriate exception based on the passed in error code.

  Parameters:
    `code` - the SWT error code

### error

    public static void error(int code,
                             Throwable throwable)

  Throws an appropriate exception based on the passed in error code. The `throwable` argument should be either null, or the throwable which caused SWT to throw an exception.

  In SWT, errors are reported by throwing one of three exceptions:

    java.lang.IllegalArgumentException
  thrown whenever one of the API methods is invoked with an illegal argument
    org.eclipse.swt.SWTException (extends java.lang.RuntimeException)
  thrown whenever a recoverable error happens internally in SWT
    org.eclipse.swt.SWTError (extends java.lang.Error)
  thrown whenever a non-recoverable error happens internally in SWT
  This method provides the logic which maps between error codes and one of the above exceptions.

  Parameters:
    `code` - the SWT error code.
    `throwable` - the exception which caused the error to occur.
  See Also:
    `SWTError`, `SWTException`, `IllegalArgumentException`

### error

    public static void error(int code,
                             Throwable throwable,
                             String detail)

  Throws an appropriate exception based on the passed in error code. The `throwable` argument should be either null, or the throwable which caused SWT to throw an exception.

  In SWT, errors are reported by throwing one of three exceptions:

    java.lang.IllegalArgumentException
  thrown whenever one of the API methods is invoked with an illegal argument
    org.eclipse.swt.SWTException (extends java.lang.RuntimeException)
  thrown whenever a recoverable error happens internally in SWT
    org.eclipse.swt.SWTError (extends java.lang.Error)
  thrown whenever a non-recoverable error happens internally in SWT
  This method provides the logic which maps between error codes and one of the above exceptions.

  Parameters:
    `code` - the SWT error code.
    `throwable` - the exception which caused the error to occur.
    `detail` - more information about error.
  Since:
    3.0
  See Also:
    `SWTError`, `SWTException`, `IllegalArgumentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.